GNU bug report logs - #22107
this-command-keys no longer returns prefix argument

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: bruce.connor.am@HIDDEN; merged with #22111; dated Mon, 7 Dec 2015 15:43:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Removed indication that bug 22107 blocks Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 13 May 2016 15:00:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 11:00:45 2016
Received: from localhost ([127.0.0.1]:50085 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b1Ea5-00054E-86
	for submit <at> debbugs.gnu.org; Fri, 13 May 2016 11:00:45 -0400
Received: from mail-oi0-f46.google.com ([209.85.218.46]:33895)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kaushal.modi@HIDDEN>) id 1b1Ea3-000540-QD
 for 22107 <at> debbugs.gnu.org; Fri, 13 May 2016 11:00:44 -0400
Received: by mail-oi0-f46.google.com with SMTP id k142so174645080oib.1
 for <22107 <at> debbugs.gnu.org>; Fri, 13 May 2016 08:00:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=5sFptO/Y0ufq1V/Z8y12Pvf9eQtVSVinqi1exz7XB2Q=;
 b=Ca5vDI1dFA0LEDYX8AYrpgOGipEr2rCEJvnaD3L9ccvrJLMKeYJ7bca/ZWhRgQjFb8
 xYFlG3ou3Cd7CAT36A0ys+DBpTzZiWQORKowAxlTqZkpvcP3YWWQ89pbKG4886HI+PXP
 2EwxUPJbdp+lOtNz4b7qtx629QPKPSXUNZAZLkMlZoRT4AuZrfGXtpMuIynMO3ce8u5L
 qK3WD3zeCPAccb1c6kJ2F8E/Rmah7e154bPsRyCeVEFMMQ623UKn4LFiiT2+9pVpx0em
 GKIKb49j+WmUyYIfKAA+kNrYn109QQmJi5Sl01AxsaJf0f8CdjMEeFwPP0Ihjskpb+Hy
 9WXQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=5sFptO/Y0ufq1V/Z8y12Pvf9eQtVSVinqi1exz7XB2Q=;
 b=ecoHvcgNeJrhbOpEyo0kt6gAYdLl3KPsFnZoGE/yO2Rr089UXpEpFhXKE/KFosx60B
 XsoY2lHdsiaVF73j2dsoali5rxlNvIwTh4TO4zd9ilox4aHKTtG9S2WH73UIGbYll0BD
 ODNRPFpIFeUsL5JG3x4Z/d7Bq+vlA96XihUuu99Xem83FRNqpyqdQkt3+ZO3uoMXcMdn
 Gx1Tvptajltuke7Ye84B2U9Cw4QdXh9qRzCvQygbh7lG+VKvr6NVw9mYSRmVQv9Gb+vc
 GikYrQuNgMApMBTxcgPCHeoidaqW7o9t/oy4uc2jKYdhxXvRglp0o5RukEftUOlR7db4
 TLWw==
X-Gm-Message-State: AOPr4FUnbBWeLpk56Ng701qrWkEQiuwZwXDNY+5gS/O7yzJJR1VhsT19vrqwPrfoetRhDTmod0Ofte8QYXMYdw==
X-Received: by 10.202.175.200 with SMTP id y191mr7765528oie.107.1463151637963; 
 Fri, 13 May 2016 08:00:37 -0700 (PDT)
MIME-Version: 1.0
References: <CAFyQvY2yfAHdeNKbhL4JSqZ-ADBdm-oLKBO2o-J1Tg0gvuYGJg@HIDDEN>
 <83eg98bsmb.fsf@HIDDEN>
 <CAFyQvY2Hj7AwgqhUkyayjhmp72BMmfGJoxJr+2WN4HTknXkq5A@HIDDEN>
 <jwvoa8c4qvx.fsf-monnier+emacsbugs@HIDDEN>
 <CAFyQvY0sRG+FRTm6AfwWR7LoKdYoPn3hXPzBg-6a84ZK6iXw5A@HIDDEN>
 <83mvnu82wb.fsf@HIDDEN>
In-Reply-To: <83mvnu82wb.fsf@HIDDEN>
From: Kaushal Modi <kaushal.modi@HIDDEN>
Date: Fri, 13 May 2016 15:00:27 +0000
Message-ID: <CAFyQvY0X4G2O6eSmhDN5yno9JUiwvffjCT+hOmdA9GMfWZV6-Q@HIDDEN>
Subject: Re: this-command-keys no longer returns prefix argument
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a113cf2f6a22f2b0532ba893c
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22107
Cc: Dmitry Gutov <dgutov@HIDDEN>, monnier@HIDDEN,
 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a113cf2f6a22f2b0532ba893c
Content-Type: text/plain; charset=UTF-8

On Fri, May 13, 2016 at 10:11 AM Eli Zaretskii <eliz@HIDDEN> wrote:

> If this is a documentation bug, then it's not a documentation bug,
> because it means one of the two variables should be obsoleted.
>

I do not have enough experience with those functions enough to make a call
either way. I am simple trying to reach a closure for this issue. I just
recently stumbled upon this this-command-keys change between 24.5 and 25.x
versions. And I would like to have it fixed the correct way that the
consensus decides and at least have the documentation reflect the current
state of things.


> And I don't think the view that the current behavior is correct is
> shared by everyone.
>
> So I don't see how you can be so sure about this.
>

Looks like there's an unspoken consensus about how this-command-keys
behaves right now, and so this bug thread had been dead since Dec, until I
discovered this issue recently.

If this-single-command-keys has to be obsoleted, or if this-command-keys
has to be reverted, IMO this bug is a strong candidate to be able to delay
the 25.1 release (unlike what Dmitry thought of as a non important enough
blocking bug). So I had to speak up for this one in that emacs-devel thread.

I will willing to help in whatever way to help reach a good closure for
this bug.
-- 

-- 
Kaushal Modi

--001a113cf2f6a22f2b0532ba893c
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_quote"><div dir=3D"ltr">On Fri, May 13=
, 2016 at 10:11 AM Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@g=
nu.org</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"m=
argin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">If this is a =
documentation bug, then it&#39;s not a documentation bug,<br>
because it means one of the two variables should be obsoleted.<br></blockqu=
ote><div><br></div><div>I do not have enough experience with those function=
s enough to make a call either way. I am simple trying to reach a closure f=
or this issue. I just recently stumbled upon this this-command-keys change =
between 24.5 and 25.x versions. And I would like to have it fixed the corre=
ct way that the consensus decides and at least have the documentation refle=
ct the current state of things.</div><div>=C2=A0</div><blockquote class=3D"=
gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-=
left:1ex">
And I don&#39;t think the view that the current behavior is correct is<br>
shared by everyone.<br>
<br>
So I don&#39;t see how you can be so sure about this.<br></blockquote><div>=
<br></div><div>Looks like there&#39;s an unspoken consensus about how this-=
command-keys behaves right now, and so this bug thread had been dead since =
Dec, until I discovered this issue recently.</div><div><br></div><div>If th=
is-single-command-keys has to be obsoleted, or if this-command-keys has to =
be reverted, IMO this bug is a strong candidate to be able to delay the 25.=
1 release (unlike what Dmitry thought of as a non important enough blocking=
 bug). So I had to speak up for this one in that emacs-devel thread.</div><=
div><br></div><div>I will willing to help in whatever way to help reach a g=
ood closure for this bug.=C2=A0</div></div></div><div dir=3D"ltr">-- <br></=
div><p dir=3D"ltr">-- <br>
Kaushal Modi</p>

--001a113cf2f6a22f2b0532ba893c--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 13 May 2016 14:11:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 10:11:05 2016
Received: from localhost ([127.0.0.1]:50064 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b1Do0-0003vY-Sr
	for submit <at> debbugs.gnu.org; Fri, 13 May 2016 10:11:05 -0400
Received: from eggs.gnu.org ([208.118.235.92]:41850)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1b1Dny-0003v1-7B
 for 22107 <at> debbugs.gnu.org; Fri, 13 May 2016 10:11:03 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1b1Dnq-00064c-0p
 for 22107 <at> debbugs.gnu.org; Fri, 13 May 2016 10:10:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.4 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38455)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1b1Dnp-00064V-Ta; Fri, 13 May 2016 10:10:53 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4863
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1b1DnS-0004Pm-7s; Fri, 13 May 2016 10:10:52 -0400
Date: Fri, 13 May 2016 17:10:28 +0300
Message-Id: <83mvnu82wb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Kaushal Modi <kaushal.modi@HIDDEN>
In-reply-to: <CAFyQvY0sRG+FRTm6AfwWR7LoKdYoPn3hXPzBg-6a84ZK6iXw5A@HIDDEN>
 (message from Kaushal Modi on Fri, 13 May 2016 11:52:41 +0000)
Subject: Re: this-command-keys no longer returns prefix argument
References: <CAFyQvY2yfAHdeNKbhL4JSqZ-ADBdm-oLKBO2o-J1Tg0gvuYGJg@HIDDEN>
 <83eg98bsmb.fsf@HIDDEN>
 <CAFyQvY2Hj7AwgqhUkyayjhmp72BMmfGJoxJr+2WN4HTknXkq5A@HIDDEN>
 <jwvoa8c4qvx.fsf-monnier+emacsbugs@HIDDEN>
 <CAFyQvY0sRG+FRTm6AfwWR7LoKdYoPn3hXPzBg-6a84ZK6iXw5A@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 22107
Cc: monnier@HIDDEN, 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

> From: Kaushal Modi <kaushal.modi@HIDDEN>
> Date: Fri, 13 May 2016 11:52:41 +0000
> Cc: 22107 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
> 
> On Wed, May 11, 2016, 10:22 AM Stefan MonnierOnonnier@HIDDEN> wrote:
> 
>  You mean, are this-command-keys-vector and this-single-command-keys
>  100% equivalent all the time? I wish I was able to give you an answer.
>  They appear to be
> 
> At this point it is a documentation bug. this-command-keys and this-single-command-keys are equivalent. But
> the documentaion still says that this-single-command-keys does not return prefix argument unlike
> this-command-keys. In fact, none of them return the prefix arg.
> 
> So 
> 
> (1) The docstring of this-single-command-keys needs to be fixed. 
> (2) NEWS also needs to mention that this-command-keys no longer returns prefix arg. 
> 
> Going forward (not for this bug or emacs-25): If someone can review that this-command-keys-vector and
> this-single-command-keys are ACTUALLY the same, can then this-single-command-keys be marked
> obsolete and an alias to the other for the next release? If that seems like the next action, I can file a separate
> bug report for that.

If this is a documentation bug, then it's not a documentation bug,
because it means one of the two variables should be obsoleted.

And I don't think the view that the current behavior is correct is
shared by everyone.

So I don't see how you can be so sure about this.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 13 May 2016 11:52:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 13 07:52:58 2016
Received: from localhost ([127.0.0.1]:49597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b1BeM-0000Y0-9Z
	for submit <at> debbugs.gnu.org; Fri, 13 May 2016 07:52:58 -0400
Received: from mail-oi0-f44.google.com ([209.85.218.44]:35883)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kaushal.modi@HIDDEN>) id 1b1BeK-0000Xm-G8
 for 22107 <at> debbugs.gnu.org; Fri, 13 May 2016 07:52:56 -0400
Received: by mail-oi0-f44.google.com with SMTP id x201so166430112oif.3
 for <22107 <at> debbugs.gnu.org>; Fri, 13 May 2016 04:52:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=T35872cD7Ym9TQpQyvXEbbcFIoFjL3wyRR4cBgMqLk4=;
 b=nwJFS1nNeamTDlqAubUtGSfwGYwG6q9/Vdo46/Nm/qPVBWZs4VrkURYxvxI/fXSSFg
 u7pNoGBcZyhWa3IYHGZJhAZaQIuTDjyrhSTQYLcpyTxiqsUvlnAxQefXjRFNOJ8HFMM4
 Tb+BPMMkaZ3M9vlg2wOGAXYxrVjERBPCINNs3YRLE1f4fbJMwWenXj+rsJ5XNDHovhtU
 RUHYmuI9yVEj6uQE/JbuZAIkW4DGgsKi8c0B9lomzJ2VjFakr/ejDIM6GUNAAt/EjUQh
 /4e3OFCX10zmy42mrspY7a3JGZEr0+U9rmCfhghSCWJnINlzde1fOgc5+JgWIyAqNe6E
 yy3w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=T35872cD7Ym9TQpQyvXEbbcFIoFjL3wyRR4cBgMqLk4=;
 b=FNeZXTZEWvNSq1jJON8eYl/OOPfdjy1+WjCk41o5Fjc/786CZp0+E/ALiRoXQkjNdO
 iuiDQYy8taYC9X/cHvPoDV1o1T5qJCmLFzRSbMvq+dWCj+BXnqGgkuR5qvw+tTFYZ9s4
 40Aqyqbv/EVS/RSChtANVzxg94UXvXg+RcfirekNn6EHCEGvy9GMhHnm7YWtyptZXmES
 vkwNqI71RAuQQdkKVsmXjOhFo2xkMEPWtmXVgvtTlY8/C8FoyIu0Sa1z5KdlVpfoSvwa
 UL4mfDL2uGJ6kQKk7erbGX/32vhKGUiuX/tWdKO+XO1dsdBDYvFvoB0pZ9jYB9x4oOke
 trAw==
X-Gm-Message-State: AOPr4FWdd4iRWEQQf1hwoPvpC/b6WFINFlgOgROeUIJRHKNUOKbuViD2+rDwD7QBSjIQjaVh7exajGDRE6atsQ==
X-Received: by 10.202.88.86 with SMTP id m83mr8378282oib.52.1463140370670;
 Fri, 13 May 2016 04:52:50 -0700 (PDT)
MIME-Version: 1.0
References: <CAFyQvY2yfAHdeNKbhL4JSqZ-ADBdm-oLKBO2o-J1Tg0gvuYGJg@HIDDEN>
 <83eg98bsmb.fsf@HIDDEN>
 <CAFyQvY2Hj7AwgqhUkyayjhmp72BMmfGJoxJr+2WN4HTknXkq5A@HIDDEN>
 <jwvoa8c4qvx.fsf-monnier+emacsbugs@HIDDEN>
In-Reply-To: <jwvoa8c4qvx.fsf-monnier+emacsbugs@HIDDEN>
From: Kaushal Modi <kaushal.modi@HIDDEN>
Date: Fri, 13 May 2016 11:52:41 +0000
Message-ID: <CAFyQvY0sRG+FRTm6AfwWR7LoKdYoPn3hXPzBg-6a84ZK6iXw5A@HIDDEN>
Subject: Re: this-command-keys no longer returns prefix argument
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: multipart/alternative; boundary=001a113d35b00d13ca0532b7ea93
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22107
Cc: Eli Zaretskii <eliz@HIDDEN>, 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a113d35b00d13ca0532b7ea93
Content-Type: text/plain; charset=UTF-8

On Wed, May 11, 2016, 10:22 AM Stefan MonnierOnonnier@HIDDEN>
wrote:

> You mean, are this-command-keys-vector and this-single-command-keys
> 100% equivalent all the time?  I wish I was able to give you an answer.
> They appear to be
>

At this point it is a documentation bug. this-command-keys and
this-single-command-keys are equivalent. But the documentaion still says
that this-single-command-keys does not return prefix argument unlike
this-command-keys. In fact, none of them return the prefix arg.

So

(1) The docstring of this-single-command-keys needs to be fixed.
(2) NEWS also needs to mention that this-command-keys no longer returns
prefix arg.

Going forward (not for this bug or emacs-25): If someone can review
that this-command-keys-vector and this-single-command-keys are ACTUALLY the
same, can then this-single-command-keys be marked obsolete and an alias to
the other for the next release? If that seems like the next action, I can
file a separate bug report for that.

> --

-- 
Kaushal Modi

--001a113d35b00d13ca0532b7ea93
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<br><div class=3D"gmail_quote"><div dir=3D"ltr">On Wed, May 11, 2016, 10:22=
 AM Stefan <a href=3D"mailto:MonnierOnonnier@HIDDEN">MonnierOnonn=
ier@HIDDEN</a>&gt; wrote:</div><blockquote class=3D"gmail_quote" =
style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
You mean, are this-command-keys-vector and this-single-command-keys<br>
100% equivalent all the time?=C2=A0 I wish I was able to give you an answer=
.<br>
They appear to be<br></blockquote></div><div><br></div><div>At this point i=
t is a documentation bug. this-command-keys and this-single-command-keys ar=
e equivalent. But the documentaion still says that this-single-command-keys=
 does not return prefix argument unlike this-command-keys. In fact, none of=
 them return the prefix arg.</div><div><br></div><div>So=C2=A0</div><div><b=
r></div><div>(1) The docstring of this-single-command-keys needs to be fixe=
d. <br></div><div>(2) NEWS also needs to mention that this-command-keys no =
longer returns prefix arg.=C2=A0</div><div><br></div><div>Going forward (no=
t for this bug or emacs-25): If someone can review that=C2=A0this-command-k=
eys-vector and this-single-command-keys are ACTUALLY the same, can then thi=
s-single-command-keys be marked obsolete and an alias to the other for the =
next release? If that seems like the next action, I can file a separate bug=
 report for that.</div><div class=3D"gmail_quote"><blockquote class=3D"gmai=
l_quote" style=3D"margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left=
:1ex">
</blockquote></div><div dir=3D"ltr">-- <br></div><p dir=3D"ltr">-- <br>
Kaushal Modi</p>

--001a113d35b00d13ca0532b7ea93--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 11 May 2016 14:22:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 10:22:53 2016
Received: from localhost ([127.0.0.1]:47510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0V2K-0001IB-Rz
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 10:22:53 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:31383)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1b0V2I-0001Hz-UF
 for 22107 <at> debbugs.gnu.org; Wed, 11 May 2016 10:22:51 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A0A+FgA731xV/5Yrq8BcgxCEAoVVwwsEAgKBPD0QAQEBAQEBAYEKQQWDXQEBAwFWIwULCzQSFBgNJIg3CM8jAQEBAQYCAR+LOoUFB4QtBbUEI4QUIoJ4AQEB
X-IPAS-Result: A0A+FgA731xV/5Yrq8BcgxCEAoVVwwsEAgKBPD0QAQEBAQEBAYEKQQWDXQEBAwFWIwULCzQSFBgNJIg3CM8jAQEBAQYCAR+LOoUFB4QtBbUEI4QUIoJ4AQEB
X-IronPort-AV: E=Sophos;i="5.13,465,1427774400"; d="scan'208";a="238092882"
Received: from 192-171-43-150.cpe.pppoe.ca (HELO pastel.home)
 ([192.171.43.150])
 by ironport2-out.teksavvy.com with ESMTP; 11 May 2016 10:22:45 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 5704C63F2A; Wed, 11 May 2016 10:22:45 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Kaushal Modi <kaushal.modi@HIDDEN>
Subject: Re: this-command-keys no longer returns prefix argument
Message-ID: <jwvoa8c4qvx.fsf-monnier+emacsbugs@HIDDEN>
References: <CAFyQvY2yfAHdeNKbhL4JSqZ-ADBdm-oLKBO2o-J1Tg0gvuYGJg@HIDDEN>
 <83eg98bsmb.fsf@HIDDEN>
 <CAFyQvY2Hj7AwgqhUkyayjhmp72BMmfGJoxJr+2WN4HTknXkq5A@HIDDEN>
Date: Wed, 11 May 2016 10:22:45 -0400
In-Reply-To: <CAFyQvY2Hj7AwgqhUkyayjhmp72BMmfGJoxJr+2WN4HTknXkq5A@HIDDEN>
 (Kaushal Modi's message of "Wed, 11 May 2016 14:08:49 +0000")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 4.0 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > As it stands right now,
 is it safe to say that this-command-keys
 and > this-single-command-keys give the same output except that the former's
 > output is in string format and the latter's output is in vector format?
 [...] Content analysis details:   (4.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [206.248.154.181 listed in list.dnswl.org]
 3.7 FSL_HELO_HOME          No description available.
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
X-Debbugs-Envelope-To: 22107
Cc: Eli Zaretskii <eliz@HIDDEN>, 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 4.0 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > As it stands right now, is it safe to say that this-command-keys
    and > this-single-command-keys give the same output except that the former's
    > output is in string format and the latter's output is in vector format?
    [...] 
 
 Content analysis details:   (4.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [206.248.154.181 listed in list.dnswl.org]
  3.7 FSL_HELO_HOME          No description available.
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)

> As it stands right now, is it safe to say that this-command-keys and
> this-single-command-keys give the same output except that the former's
> output is in string format and the latter's output is in vector format?

You mean, are this-command-keys-vector and this-single-command-keys
100% equivalent all the time?  I wish I was able to give you an answer.
They appear to be


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 11 May 2016 14:18:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 10:18:46 2016
Received: from localhost ([127.0.0.1]:47495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0UyM-0001Bu-4e
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 10:18:46 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:43540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1b0UyJ-0001Bg-IT
 for 22107 <at> debbugs.gnu.org; Wed, 11 May 2016 10:18:45 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A0CgGQA731xV/5Yrq8BcEwEBgntUgy6FVb0chTs0BAICgTw8EQEBAQEBAQGBCkEFg10BAQMBViMFCws0EhQYDSSINwgNzxYBAQEBAQEEAQEBARoEizqFBQeELQWXIZ1jI4Fmgi4iNoJCAQEB
X-IPAS-Result: A0CgGQA731xV/5Yrq8BcEwEBgntUgy6FVb0chTs0BAICgTw8EQEBAQEBAQGBCkEFg10BAQMBViMFCws0EhQYDSSINwgNzxYBAQEBAQEEAQEBARoEizqFBQeELQWXIZ1jI4Fmgi4iNoJCAQEB
X-IronPort-AV: E=Sophos;i="5.13,465,1427774400"; d="scan'208";a="238092549"
Received: from 192-171-43-150.cpe.pppoe.ca (HELO pastel.home)
 ([192.171.43.150])
 by ironport2-out.teksavvy.com with ESMTP; 11 May 2016 10:18:37 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 82C1A63F2A; Wed, 11 May 2016 10:18:37 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: this-command-keys no longer returns prefix argument
Message-ID: <jwvtwi44r7s.fsf-monnier+emacsbugs@HIDDEN>
References: <CAFyQvY2yfAHdeNKbhL4JSqZ-ADBdm-oLKBO2o-J1Tg0gvuYGJg@HIDDEN>
 <83eg98bsmb.fsf@HIDDEN>
Date: Wed, 11 May 2016 10:18:37 -0400
In-Reply-To: <83eg98bsmb.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 11 May
 2016 17:02:04 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 4.0 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > AFAIR,
 Stefan thought that the current behavior is the correct
 one. And indeed, looking at
 https://github.com/kaushalmodi/.emacs.d/commit/912c4fc8bf4ed0c84e28dc837b0500b9a2e172ca,
 it seems that it's the better behavior in that case as well. [...] 
 Content analysis details:   (4.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
 trust [206.248.154.181 listed in list.dnswl.org]
 3.7 FSL_HELO_HOME          No description available.
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
X-Debbugs-Envelope-To: 22107
Cc: 22107 <at> debbugs.gnu.org, Kaushal Modi <kaushal.modi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 4.0 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > AFAIR, Stefan thought that the current behavior is the correct
    one. And indeed, looking at https://github.com/kaushalmodi/.emacs.d/commit/912c4fc8bf4ed0c84e28dc837b0500b9a2e172ca,
    it seems that it's the better behavior in that case as well. [...] 
 
 Content analysis details:   (4.0 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at http://www.dnswl.org/, low
                             trust
                             [206.248.154.181 listed in list.dnswl.org]
  3.7 FSL_HELO_HOME          No description available.
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)

> AFAIR, Stefan thought that the current behavior is the correct one.

And indeed, looking at
https://github.com/kaushalmodi/.emacs.d/commit/912c4fc8bf4ed0c84e28dc837b0500b9a2e172ca,
it seems that it's the better behavior in that case as well.


        Stefan


PS: It's not just that "it's the correct behavior", but that the patch
introduced other problems.  I don't know how to fix those problems while
at the same time recovering the previous behavior of this-command-keys
(I'm not saying it's impossible, but I don't understand the code well
enough to figure it out).  And since I find this previous behavior
undesirable in general, I'm not highly motivated to try and "fix" the
problem ;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 11 May 2016 14:09:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 10:09:10 2016
Received: from localhost ([127.0.0.1]:47489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0Up4-0000vQ-3Y
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 10:09:10 -0400
Received: from mail-oi0-f43.google.com ([209.85.218.43]:33335)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kaushal.modi@HIDDEN>) id 1b0Uoz-0000uu-My
 for 22107 <at> debbugs.gnu.org; Wed, 11 May 2016 10:09:09 -0400
Received: by mail-oi0-f43.google.com with SMTP id v145so69066896oie.0
 for <22107 <at> debbugs.gnu.org>; Wed, 11 May 2016 07:09:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=BdlQO/YIo42J0VT3UtyfUVzswcYMP2qGGd8g/NUKCVc=;
 b=OAWu3g0TGVjoLDP+g3C/H4HTIfCpmN8fGOVxvPOgC3TVQWQzPcTZTQdRef0EkcNg74
 ExQ375nSobUBve+t5U/ewnXqmKdwnr0PRkpOfRJpAcEIc97SyDaHUaqYn2e/CC1Z7jk2
 LjnAXps0Tc9m2RiYKwkyaOD1/yZu2zZz4vdJDz9A5ELlPeekjV3mkLlRwWvQ9mCz5TCy
 ksL1YIzCG206yGC1JsKY9L/4GH/POqw+v7SryXBU86mmGmOa94w7xVN+QyXOdkcCDkbW
 2I9jpTnrBdHnMsWE+gHpWDbKJH8RNBFH7cd0TetSrb9d3KLqpPF7rIzhIouEzTnXrsvb
 qW/Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=BdlQO/YIo42J0VT3UtyfUVzswcYMP2qGGd8g/NUKCVc=;
 b=h+JhoTLFD3Y5/fCOSJD0lfqrA1OgvhZvBp/xO/hNqDwdaXOA/Gk/nFg3PMLm5uv4SX
 svnHbBuiULTkRr8HoWnjynCjunvSGWmLmmktA3X10mnVflAdCc1FU5TNH/7DyBOCiVVB
 MYKEleSGXQ/hCs5pp7VQGJ7FN2/pR9XbWVNCUVIKeAhGfV4j/tw60iXlRFXV3d+BPYe9
 E1y8ByrTo7dBO1WsiiRm3w0iEsiCB/BjdSJM6x/NMU5/kJ2lL3dztLn58l0Co+I0YZMF
 bwqDeKBvYu/n6DfNOIiIuAI3rsH2kxC1TpETRf2mvnqYoqTPlZDsSOQKVPxZHUfxw5Pu
 T65A==
X-Gm-Message-State: AOPr4FVgvp0T2SEA3+abNBIX++WeDJJ25OPRH0PFtpUVNBR1+alaMmkYqOA3yyYQCBC7JDOLW8BveJa7MFe56w==
X-Received: by 10.202.203.4 with SMTP id b4mr1812838oig.197.1462975739935;
 Wed, 11 May 2016 07:08:59 -0700 (PDT)
MIME-Version: 1.0
References: <CAFyQvY2yfAHdeNKbhL4JSqZ-ADBdm-oLKBO2o-J1Tg0gvuYGJg@HIDDEN>
 <83eg98bsmb.fsf@HIDDEN>
In-Reply-To: <83eg98bsmb.fsf@HIDDEN>
From: Kaushal Modi <kaushal.modi@HIDDEN>
Date: Wed, 11 May 2016 14:08:49 +0000
Message-ID: <CAFyQvY2Hj7AwgqhUkyayjhmp72BMmfGJoxJr+2WN4HTknXkq5A@HIDDEN>
Subject: Re: this-command-keys no longer returns prefix argument
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a1137be764b484605329195da
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22107
Cc: 22107 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a1137be764b484605329195da
Content-Type: text/plain; charset=UTF-8

On Wed, May 11, 2016 at 10:02 AM Eli Zaretskii <eliz@HIDDEN> wrote:

> Because that commit was reverted, see commit 0b7d6b0.
>
> AFAIR, Stefan thought that the current behavior is the correct one.
>

Found it (
http://git.savannah.gnu.org/cgit/emacs.git/commit/src/keyboard.c?h=emacs-25&id=0b7d6b026eb2cd69a90a9af41a4fca24389c5e47
),
thanks.

I don't have a strong opinion for/against this change. But the
documentation is out of sync and that needs to be fixed, right? C-h f
documentation for this-single-command-keys.

As it stands right now, is it safe to say that this-command-keys and
this-single-command-keys give the same output except that the former's
output is in string format and the latter's output is in vector format? If
so, it would be useful to reflect that info in the docstrings for those two
functions.
-- 

-- 
Kaushal Modi

--001a1137be764b484605329195da
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div class=3D"gmail_quote"><div dir=3D"ltr">On Wed, May 11=
, 2016 at 10:02 AM Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@g=
nu.org</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"m=
argin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">Because that =
commit was reverted, see commit 0b7d6b0.<br>
<br>
AFAIR, Stefan thought that the current behavior is the correct one.<br></bl=
ockquote><div><br></div><div>Found it ( <a href=3D"http://git.savannah.gnu.=
org/cgit/emacs.git/commit/src/keyboard.c?h=3Demacs-25&amp;id=3D0b7d6b026eb2=
cd69a90a9af41a4fca24389c5e47">http://git.savannah.gnu.org/cgit/emacs.git/co=
mmit/src/keyboard.c?h=3Demacs-25&amp;id=3D0b7d6b026eb2cd69a90a9af41a4fca243=
89c5e47</a>=C2=A0), thanks.=C2=A0</div><div><br></div><div>I don&#39;t have=
 a strong opinion for/against this change. But the documentation is out of =
sync and that needs to be fixed, right? C-h f documentation for this-single=
-command-keys.<br></div><div><br></div><div>As it stands right now, is it s=
afe to say that this-command-keys and this-single-command-keys give the sam=
e output except that the former&#39;s output is in string format and the la=
tter&#39;s output is in vector format? If so, it would be useful to reflect=
 that info in the docstrings for those two functions.</div></div></div><div=
 dir=3D"ltr">-- <br></div><p dir=3D"ltr">-- <br>
Kaushal Modi</p>

--001a1137be764b484605329195da--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 11 May 2016 14:02:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 10:02:18 2016
Received: from localhost ([127.0.0.1]:47485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0UiQ-0000mG-Bp
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 10:02:18 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45197)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1b0UiP-0000m3-F1
 for 22107 <at> debbugs.gnu.org; Wed, 11 May 2016 10:02:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1b0UiE-0001T7-Cc
 for 22107 <at> debbugs.gnu.org; Wed, 11 May 2016 10:02:12 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53640)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1b0Ui7-0001Oe-Pk; Wed, 11 May 2016 10:01:59 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1693
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1b0Ui5-000126-NS; Wed, 11 May 2016 10:01:58 -0400
Date: Wed, 11 May 2016 17:02:04 +0300
Message-Id: <83eg98bsmb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Kaushal Modi <kaushal.modi@HIDDEN>
In-reply-to: <CAFyQvY2yfAHdeNKbhL4JSqZ-ADBdm-oLKBO2o-J1Tg0gvuYGJg@HIDDEN>
 (message from Kaushal Modi on Wed, 11 May 2016 13:33:18 +0000)
Subject: Re: this-command-keys no longer returns prefix argument
References: <CAFyQvY2yfAHdeNKbhL4JSqZ-ADBdm-oLKBO2o-J1Tg0gvuYGJg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 22107
Cc: 22107 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

> From: Kaushal Modi <kaushal.modi@HIDDEN>
> Date: Wed, 11 May 2016 13:33:18 +0000
> 
> I looked at the related commit based on this bug:
> http://git.savannah.gnu.org/cgit/emacs.git/commit/src/keyboard.c?h=emacs-25&id=9d2b8e768f2015a89f7609dedf7b28ea5e8123b5
> 
> 
> It's commit log says "Restore the feature whereby C-u was part of this-command-keys, but not of
> this-single-command-keys.". But it looks like no restore happened. "^U" is still not part of this-command-keys.

Because that commit was reverted, see commit 0b7d6b0.

AFAIR, Stefan thought that the current behavior is the correct one.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 11 May 2016 13:33:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 09:33:37 2016
Received: from localhost ([127.0.0.1]:46876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1b0UGf-0008QS-B7
	for submit <at> debbugs.gnu.org; Wed, 11 May 2016 09:33:37 -0400
Received: from mail-oi0-f48.google.com ([209.85.218.48]:34889)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kaushal.modi@HIDDEN>) id 1b0UGd-0008QF-6R
 for 22107 <at> debbugs.gnu.org; Wed, 11 May 2016 09:33:36 -0400
Received: by mail-oi0-f48.google.com with SMTP id x19so67303575oix.2
 for <22107 <at> debbugs.gnu.org>; Wed, 11 May 2016 06:33:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to;
 bh=OOmoQqDaEFDPcO1ujvU/R/uTmMjMs4QS37DR77qD3yE=;
 b=PTlsWkW3o6Z0eK7ASwIsa+Dpy98jthKqct+T4uXbPV0U5Ah/JxMU49y7bwZf1sqnIi
 aJlDLJ4jYNmtTIquqoL66G7MYzG1V6KvDHbYlgatabMs2J3J7ZXasFLMGQX471I4Zq+u
 Qktn071pG2b8AyvuDzgu9TyWMwJPMbyQbKDHNxWruN/MXeR9gIrxoIwsfF+7p2uDkEqk
 wdZYQaKhEbhVG8YNovtY5lV6BC7+cnb66rZOsw2UxQHVOba7DGh1AA2K4wM1MW2/KSG2
 nu0r68V7jYTEouBjx4+O96b/Bu93TiS2Uit2DEP2UkkSKfe+4kPc+m7BmvFPJdz4Rb18
 s6pg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=OOmoQqDaEFDPcO1ujvU/R/uTmMjMs4QS37DR77qD3yE=;
 b=nEJX0bqQ1X5EIwAAbGgBliMU7z0Ru+OytaJeXHJvfxXGj2vbJqDHOHWB37JjsU+QbN
 IOazIXUO/a4giMsxkRdFqJvc49DPxdyI9vq0qx4SqhfA74qG5RTOpqCwKElpzoJeGbOW
 uWBFeMXzxHQIor3EFQvYuUwwkFN2PeuRbWAGHhynd7P7gwEK69UBtc45qCZAMv5zaOQA
 uL+9BFK2MTFosl4670shkuSyG5y4YWfqzKUQrIYqXgYms9QDC1lSLvfNEqnMpqRpI9CC
 GKy1KvIllNAv4cRSEVlFneykVAhJ7BESEA/80LtKOLSGRRak0Mo7bExSEiu8uYmx3l6F
 56JQ==
X-Gm-Message-State: AOPr4FXJ9aHEYcbcCN0MbTCLELs/qFezkL0Q612+QAgDZyPDWxxhSiKi9ZCFvlNJogrWLpVpfk0KkxqEUzijWA==
X-Received: by 10.202.175.200 with SMTP id y191mr1678649oie.107.1462973609443; 
 Wed, 11 May 2016 06:33:29 -0700 (PDT)
MIME-Version: 1.0
From: Kaushal Modi <kaushal.modi@HIDDEN>
Date: Wed, 11 May 2016 13:33:18 +0000
Message-ID: <CAFyQvY2yfAHdeNKbhL4JSqZ-ADBdm-oLKBO2o-J1Tg0gvuYGJg@HIDDEN>
Subject: this-command-keys no longer returns prefix argument
To: 22107 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, 
 Stefan Monnier <monnier@HIDDEN>
Content-Type: multipart/alternative; boundary=001a113cf2f64e88950532911648
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22107
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a113cf2f64e88950532911648
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Hi all,

I stumbled upon this bug recently, when something in my config (
https://github.com/kaushalmodi/.emacs.d/commit/912c4fc8bf4ed0c84e28dc837b05=
00b9a2e172ca
)
wasn't working the same way in emacs 24.5 as it does in emacs 25.x.

Here is a dummy example to demonstrate this (which is almost the same as
posted by Artur in the first email of this thread):

=3D=3D=3D=3D=3D
(defun foo ()
  (interactive)
  (message (format "this-command-keys: %S, this-single-command-keys: %s"
  (this-command-keys)
  (this-single-command-keys))))
(global-set-key (kbd "C-c ;") #'foo)
=3D=3D=3D=3D=3D

After evaluating the above, doing C-u C-c ; gives the following results on
different versions of emacs:

24.5: this-command-keys: "^U^C;", this-single-command-keys: [3 59]
25.0.93: this-command-keys: "^C;", this-single-command-keys: [3 59]

(of course I have stringified the ^U and ^C portions above to make them
visible in the email)

I looked at the related commit based on this bug:
http://git.savannah.gnu.org/cgit/emacs.git/commit/src/keyboard.c?h=3Demacs-=
25&id=3D9d2b8e768f2015a89f7609dedf7b28ea5e8123b5

It's commit log says "Restore the feature whereby C-u was part of
this-command-keys, but not of this-single-command-keys.". But it looks like
no restore happened. "^U" is still not part of this-command-keys.

Currently this-command-keys and this-single-command-keys look essentially
the same, except the this-command-keys is a string and
this-single-command-keys is a vector of asciis.

Also as Artur stated in the original bug report, the function documentation
is not in sync with what actually is happening:

C-h f this-command-keys on emacs 25.0.93 gives:

=3D=3D=3D=3D=3D
this-command-keys is a built-in function in =E2=80=98C source code=E2=80=99=
.

(this-command-keys)

Return the key sequence that invoked this command.
However, if the command has called =E2=80=98read-key-sequence=E2=80=99, it =
returns
the last key sequence that has been read.
The value is a string or a vector.
=3D=3D=3D=3D=3D

C-h f this-single-command-keys on emacs 25.0.93 gives:

=3D=3D=3D=3D=3D
this-single-command-keys is a built-in function in =E2=80=98C source code=
=E2=80=99.

(this-single-command-keys)

Return the key sequence that invoked this command.
More generally, it returns the last key sequence read, either by
the command loop or by =E2=80=98read-key-sequence=E2=80=99.
Unlike =E2=80=98this-command-keys=E2=80=99, this function=E2=80=99s value
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
does not include prefix arguments.
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
The value is always a vector.
=3D=3D=3D=3D=3D
--=20

--=20
Kaushal Modi

--001a113cf2f64e88950532911648
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi all,<div><br></div><div>I stumbled upon this bug recent=
ly, when something in my config (=C2=A0<a href=3D"https://github.com/kausha=
lmodi/.emacs.d/commit/912c4fc8bf4ed0c84e28dc837b0500b9a2e172ca">https://git=
hub.com/kaushalmodi/.emacs.d/commit/912c4fc8bf4ed0c84e28dc837b0500b9a2e172c=
a</a>=C2=A0) wasn&#39;t working the same way in emacs 24.5 as it does in em=
acs 25.x.</div><div><br></div><div>Here is a dummy example to demonstrate t=
his (which is almost the same as posted by Artur in the first email of this=
 thread):</div><div><br></div><div>=3D=3D=3D=3D=3D</div><div><div>(defun fo=
o ()</div><div>=C2=A0 (interactive)</div><div>=C2=A0 (message (format &quot=
;this-command-keys: %S, this-single-command-keys: %s&quot;</div><div><span =
class=3D"Apple-tab-span" style=3D"white-space:pre">		</span> =C2=A0 (this-c=
ommand-keys)</div><div><span class=3D"Apple-tab-span" style=3D"white-space:=
pre">		</span> =C2=A0 (this-single-command-keys))))</div><div>(global-set-k=
ey (kbd &quot;C-c ;&quot;) #&#39;foo)</div></div><div>=3D=3D=3D=3D=3D</div>=
<div><br></div><div>After evaluating the above, doing C-u C-c ; gives the f=
ollowing results on different versions of emacs:</div><div><br></div><div>2=
4.5:=C2=A0this-command-keys: &quot;^U^C;&quot;, this-single-command-keys: [=
3 59]</div><div>25.0.93: this-command-keys: &quot;^C;&quot;, this-single-co=
mmand-keys: [3 59]<br></div><div><br></div><div>(of course I have stringifi=
ed the ^U and ^C portions above to make them visible in the email)</div><di=
v><br></div><div>I looked at the related commit based on this bug:=C2=A0<a =
href=3D"http://git.savannah.gnu.org/cgit/emacs.git/commit/src/keyboard.c?h=
=3Demacs-25&amp;id=3D9d2b8e768f2015a89f7609dedf7b28ea5e8123b5">http://git.s=
avannah.gnu.org/cgit/emacs.git/commit/src/keyboard.c?h=3Demacs-25&amp;id=3D=
9d2b8e768f2015a89f7609dedf7b28ea5e8123b5</a></div><div><br></div><div>It&#3=
9;s commit log says &quot;Restore the feature whereby C-u=C2=A0<span style=
=3D"line-height:1.5">was part of this-command-keys, but not of this-single-=
command-keys.&quot;. But it looks like no restore happened. &quot;^U&quot; =
is still not part of this-command-keys.</span></div><div><span style=3D"lin=
e-height:1.5"><br></span></div><div><span style=3D"line-height:1.5">Current=
ly this-command-keys and this-single-command-keys look essentially the same=
, except the this-command-keys is a string and this-single-command-keys is =
a vector of asciis.</span></div><div><span style=3D"line-height:1.5"><br></=
span></div><div><span style=3D"line-height:1.5">Also as Artur stated in the=
 original bug report, the function documentation is not in sync with what a=
ctually is happening:</span></div><div><span style=3D"line-height:1.5"><br>=
</span></div><div><span style=3D"line-height:1.5">C-h f this-command-keys o=
n emacs 25.0.93 gives:</span></div><div><span style=3D"line-height:1.5"><br=
></span></div><div><span style=3D"line-height:1.5">=3D=3D=3D=3D=3D</span></=
div><div><div>this-command-keys is a built-in function in =E2=80=98C source=
 code=E2=80=99.</div><div><br></div><div>(this-command-keys)</div><div><br>=
</div><div>Return the key sequence that invoked this command.</div><div>How=
ever, if the command has called =E2=80=98read-key-sequence=E2=80=99, it ret=
urns</div><div>the last key sequence that has been read.</div><div>The valu=
e is a string or a vector.</div></div><div>=3D=3D=3D=3D=3D</div><div><br></=
div><div>C-h f this-single-command-keys on emacs 25.0.93 gives:</div><div><=
br></div><div>=3D=3D=3D=3D=3D</div><div><div>this-single-command-keys is a =
built-in function in =E2=80=98C source code=E2=80=99.</div><div><br></div><=
div>(this-single-command-keys)</div><div><br></div><div>Return the key sequ=
ence that invoked this command.</div><div>More generally, it returns the la=
st key sequence read, either by</div><div>the command loop or by =E2=80=98r=
ead-key-sequence=E2=80=99.</div><div>Unlike =E2=80=98this-command-keys=E2=
=80=99, this function=E2=80=99s value</div><div>^^^^^^^^^^^^^^^^^^^^^^^^^^^=
^^^^^^^^^^^^^^^^^^^^^^</div><div>does not include prefix arguments.</div><d=
iv>^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^</div><div>The value is always a vector=
.</div></div><div>=3D=3D=3D=3D=3D</div></div><div dir=3D"ltr">-- <br></div>=
<p dir=3D"ltr">-- <br>
Kaushal Modi</p>

--001a113cf2f64e88950532911648--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 14 Dec 2015 13:52:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 14 08:52:45 2015
Received: from localhost ([127.0.0.1]:51105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a8TYT-00073G-5r
	for submit <at> debbugs.gnu.org; Mon, 14 Dec 2015 08:52:45 -0500
Received: from mail-lf0-f54.google.com ([209.85.215.54]:34254)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <arturmalabarba@HIDDEN>) id 1a8TYS-000731-79
 for 22107 <at> debbugs.gnu.org; Mon, 14 Dec 2015 08:52:44 -0500
Received: by lfcy184 with SMTP id y184so46976375lfc.1
 for <22107 <at> debbugs.gnu.org>; Mon, 14 Dec 2015 05:52:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=3e7z9PMvotS+Dfv/8HN60PlhLpYhjsod+DWwIaFeYb0=;
 b=nKTkzxc8Mha2uFzaFd1waWWupDc0OP9B4STuBKq7tUUv7zR+HZ9t6mr0tIfweEjY33
 MBuvkNi6DxQkZMHB/uY9iMc6Z5oY6MP+DthqaHnHRfj5y3M3UDsp7jecoGEPIBElDgE6
 c7QcdKO3qCRUJu7SRi9WZwWGTZuue/bEOjjqyQ9hSHBHeQVwctfK/QjVb5abF9ZYidhK
 qiI+m7o6b/V3/k44QHjAAmwoy+OhgiI+cWaYiwrqoKKtVkXsxybi8PzL2r8rsMUrZlyA
 OXQT9vggNNvZbV40IyJYIVdkv4hYoQapqtA2B13mfpQT/b9rWPLBBEH/jnMG97lHbvfD
 aZ0w==
MIME-Version: 1.0
X-Received: by 10.25.155.136 with SMTP id d130mr8406484lfe.54.1450101158346;
 Mon, 14 Dec 2015 05:52:38 -0800 (PST)
Received: by 10.112.202.99 with HTTP; Mon, 14 Dec 2015 05:52:38 -0800 (PST)
Received: by 10.112.202.99 with HTTP; Mon, 14 Dec 2015 05:52:38 -0800 (PST)
In-Reply-To: <83h9jl4sma.fsf@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN>
 <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN>
 <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN>
 <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN>
 <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN>
 <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN>
 <83poyd6m1b.fsf@HIDDEN>
 <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
 <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN>
 <837fkk6qyq.fsf@HIDDEN>
 <jwveger218y.fsf-monnier+emacsbugs@HIDDEN>
 <83vb8367jj.fsf@HIDDEN> <m2zixfmeaz.fsf@HIDDEN>
 <jwvwpsjkmvv.fsf-monnier+emacsbugs@HIDDEN>
 <CAAdUY-Lv-78fn4WXJL6Wukzp1+Ba0o654G=AHo5RrcAE=dPu_A@HIDDEN>
 <83d1ua5ph9.fsf@HIDDEN>
 <CAAdUY-+9p_952nTJO+dytqy-WuS8mhvy-sb=bJ_eBPR=6vvFFw@HIDDEN>
 <83h9jl4sma.fsf@HIDDEN>
Date: Mon, 14 Dec 2015 13:52:38 +0000
X-Google-Sender-Auth: rinByxK3GTOesiHQMQa0mG3K4mY
Message-ID: <CAAdUY-L+wSksWoe9D5F0CvMB=EGOf5PsFZXMPWYRjnOcdiNSyQ@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a1140223e6e87650526dbfc41
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22107
Cc: John Wiegley <jwiegley@HIDDEN>, 22107 <at> debbugs.gnu.org,
 monnier@HIDDEN, Glenn Morris <rgm@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: bruce.connor.am@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a1140223e6e87650526dbfc41
Content-Type: text/plain; charset=UTF-8

On 14 Dec 2015 3:27 am, "Eli Zaretskii" <eliz@HIDDEN> wrote:
> I'm not sure I follow.  Can you show a patch to this effect?
>
> Thanks.

Sorry, it's possible I'm talking nonsense.
I'm not familiar enough with this stuff to provide a patch. And it's not
high enough in my priorities for me to invest time getting acquainted right
now.

--001a1140223e6e87650526dbfc41
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p dir=3D"ltr">On 14 Dec 2015 3:27 am, &quot;Eli Zaretskii&quot; &lt;<a hre=
f=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br>
&gt; I&#39;m not sure I follow.=C2=A0 Can you show a patch to this effect?<=
br>
&gt;<br>
&gt; Thanks.</p>
<p dir=3D"ltr">Sorry, it&#39;s possible I&#39;m talking nonsense. <br>
I&#39;m not familiar enough with this stuff to provide a patch. And it&#39;=
s not high enough in my priorities for me to invest time getting acquainted=
 right now.</p>

--001a1140223e6e87650526dbfc41--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 14 Dec 2015 03:27:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 13 22:27:30 2015
Received: from localhost ([127.0.0.1]:50803 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a8JnO-0007zq-1u
	for submit <at> debbugs.gnu.org; Sun, 13 Dec 2015 22:27:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49899)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1a8JnL-0007zd-OX
 for 22107 <at> debbugs.gnu.org; Sun, 13 Dec 2015 22:27:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1a8JnF-000087-EX
 for 22107 <at> debbugs.gnu.org; Sun, 13 Dec 2015 22:27:22 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50378)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1a8JnB-00007q-68; Sun, 13 Dec 2015 22:27:17 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4121
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1a8Jn8-0001g2-R8; Sun, 13 Dec 2015 22:27:15 -0500
Date: Mon, 14 Dec 2015 05:27:25 +0200
Message-Id: <83h9jl4sma.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: bruce.connor.am@HIDDEN
In-reply-to: <CAAdUY-+9p_952nTJO+dytqy-WuS8mhvy-sb=bJ_eBPR=6vvFFw@HIDDEN>
 (message from Artur Malabarba on Sun, 13 Dec 2015 20:53:39 +0000)
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN>
 <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN>
 <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN>
 <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN>
 <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN>
 <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN>
 <83poyd6m1b.fsf@HIDDEN>
 <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
 <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN>
 <837fkk6qyq.fsf@HIDDEN>
 <jwveger218y.fsf-monnier+emacsbugs@HIDDEN>
 <83vb8367jj.fsf@HIDDEN> <m2zixfmeaz.fsf@HIDDEN>
 <jwvwpsjkmvv.fsf-monnier+emacsbugs@HIDDEN>
 <CAAdUY-Lv-78fn4WXJL6Wukzp1+Ba0o654G=AHo5RrcAE=dPu_A@HIDDEN>
 <83d1ua5ph9.fsf@HIDDEN>
 <CAAdUY-+9p_952nTJO+dytqy-WuS8mhvy-sb=bJ_eBPR=6vvFFw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22107
Cc: jwiegley@HIDDEN, 22107 <at> debbugs.gnu.org, monnier@HIDDEN,
 rgm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Sun, 13 Dec 2015 20:53:39 +0000
> From: Artur Malabarba <bruce.connor.am@HIDDEN>
> Cc: John Wiegley <jwiegley@HIDDEN>, 22107 <at> debbugs.gnu.org, Glenn Morris <rgm@HIDDEN>, 
> 	Stefan Monnier <monnier@HIDDEN>
> 
> On 13 Dec 2015 3:37 pm, "Eli Zaretskii" <eliz@HIDDEN> wrote:
> >
> > Do you have a suggestion for how to fix this-command-keys? AFAIU, the
> > last part of this discussion was trying to find a way of doing that.
> 
> Define a variable (current-prefix-arg-keys, maybe) that gets set and cleared in
> the same way as current-prefix-arg. This variable holds the keys that were used
> to invoke the prefix args. 
> 
> Then this-command-keys simply needs to check that variable and prepend it to
> the return value. 

I'm not sure I follow.  Can you show a patch to this effect?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 13 Dec 2015 20:53:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 13 15:53:47 2015
Received: from localhost ([127.0.0.1]:50617 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a8DeN-0007VA-E8
	for submit <at> debbugs.gnu.org; Sun, 13 Dec 2015 15:53:47 -0500
Received: from mail-lf0-f42.google.com ([209.85.215.42]:34067)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <arturmalabarba@HIDDEN>) id 1a8DeM-0007Uy-6u
 for 22107 <at> debbugs.gnu.org; Sun, 13 Dec 2015 15:53:46 -0500
Received: by lfcy184 with SMTP id y184so34969638lfc.1
 for <22107 <at> debbugs.gnu.org>; Sun, 13 Dec 2015 12:53:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=K4Onb8u1S6uXJelacV9Sk9/VFyUs6Fl19wf0B+7ACg8=;
 b=SZbVrquAwcLEHQowajcZQXiO4QCAJcK5agmzfN6wtwG0iUusHr6p7PSv/i5s5F5HK5
 SUGcZTTFbDSWxoY4C3wRK69eegV0kptJV6S/4Xt36AlTNvt0i9ona+K7eaK5EdXQ5O1P
 0a46jQEUhv4Kfss9weE62E7LGRO1thL4Ii+2OFOCH9VD4I/iKhyB4j8Jc2+uz9YFuiPv
 uzIgjNJaHY9UXglOYiKQ089feGoZf+MyTBJObsYzPvPUODtOMk3Bv0VPqEV5m1fVyrsC
 9YngRazB0pm51scMb4jYniqct/IGmLX5LlmArMwQnpFmBgq2m+0TsXHemVVqS+rEOJSe
 lm/A==
MIME-Version: 1.0
X-Received: by 10.25.137.7 with SMTP id l7mr9489505lfd.63.1450040020398; Sun,
 13 Dec 2015 12:53:40 -0800 (PST)
Received: by 10.112.202.99 with HTTP; Sun, 13 Dec 2015 12:53:39 -0800 (PST)
Received: by 10.112.202.99 with HTTP; Sun, 13 Dec 2015 12:53:39 -0800 (PST)
In-Reply-To: <83d1ua5ph9.fsf@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN>
 <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN>
 <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN>
 <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN>
 <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN>
 <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN>
 <83poyd6m1b.fsf@HIDDEN>
 <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
 <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN>
 <837fkk6qyq.fsf@HIDDEN>
 <jwveger218y.fsf-monnier+emacsbugs@HIDDEN>
 <83vb8367jj.fsf@HIDDEN> <m2zixfmeaz.fsf@HIDDEN>
 <jwvwpsjkmvv.fsf-monnier+emacsbugs@HIDDEN>
 <CAAdUY-Lv-78fn4WXJL6Wukzp1+Ba0o654G=AHo5RrcAE=dPu_A@HIDDEN>
 <83d1ua5ph9.fsf@HIDDEN>
Date: Sun, 13 Dec 2015 20:53:39 +0000
X-Google-Sender-Auth: Xa9eW7jZf_LbJnvOShw-9j4y968
Message-ID: <CAAdUY-+9p_952nTJO+dytqy-WuS8mhvy-sb=bJ_eBPR=6vvFFw@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary=001a113fc260537b960526cdc098
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22107
Cc: John Wiegley <jwiegley@HIDDEN>, 22107 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>, Glenn Morris <rgm@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: bruce.connor.am@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--001a113fc260537b960526cdc098
Content-Type: text/plain; charset=UTF-8

On 13 Dec 2015 3:37 pm, "Eli Zaretskii" <eliz@HIDDEN> wrote:
>
> Do you have a suggestion for how to fix this-command-keys?  AFAIU, the
> last part of this discussion was trying to find a way of doing that.

Define a variable (current-prefix-arg-keys, maybe) that gets set and
cleared in the same way as current-prefix-arg. This variable holds the keys
that were used to invoke the prefix args.

Then this-command-keys simply needs to check that variable and prepend it
to the return value.

--001a113fc260537b960526cdc098
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<p dir=3D"ltr">On 13 Dec 2015 3:37 pm, &quot;Eli Zaretskii&quot; &lt;<a hre=
f=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br>
&gt;<br>
&gt; Do you have a suggestion for how to fix this-command-keys?=C2=A0 AFAIU=
, the<br>
&gt; last part of this discussion was trying to find a way of doing that.</=
p>
<p dir=3D"ltr">Define a variable (current-prefix-arg-keys, maybe) that gets=
 set and cleared in the same way as current-prefix-arg. This variable holds=
 the keys that were used to invoke the prefix args. </p>
<p dir=3D"ltr">Then this-command-keys simply needs to check that variable a=
nd prepend it to the return value. </p>

--001a113fc260537b960526cdc098--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 13 Dec 2015 20:15:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 13 15:15:21 2015
Received: from localhost ([127.0.0.1]:50595 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a8D3A-0006bQ-RJ
	for submit <at> debbugs.gnu.org; Sun, 13 Dec 2015 15:15:20 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:53782)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a8D37-0006bF-2n
 for 22107 <at> debbugs.gnu.org; Sun, 13 Dec 2015 15:15:19 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBDKFDUZ011386;
 Sun, 13 Dec 2015 15:15:14 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 2FE68AE06F; Sun, 13 Dec 2015 15:15:13 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwv37v6jef0.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN> <83mvtkb882.fsf@HIDDEN>
 <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN> <83io47blbq.fsf@HIDDEN>
 <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN> <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN> <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN> <83poyd6m1b.fsf@HIDDEN>
 <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
 <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN> <837fkk6qyq.fsf@HIDDEN>
 <jwveger218y.fsf-monnier+emacsbugs@HIDDEN> <83vb8367jj.fsf@HIDDEN>
 <m2zixfmeaz.fsf@HIDDEN>
 <jwvwpsjkmvv.fsf-monnier+emacsbugs@HIDDEN>
 <CAAdUY-Lv-78fn4WXJL6Wukzp1+Ba0o654G=AHo5RrcAE=dPu_A@HIDDEN>
 <fa7364eb-7d47-4b3e-9661-ad897361731b@default>
Date: Sun, 13 Dec 2015 15:15:13 -0500
In-Reply-To: <fa7364eb-7d47-4b3e-9661-ad897361731b@default> (Drew Adams's
 message of "Sun, 13 Dec 2015 09:25:50 -0800 (PST)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5519=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5519> : inlines <4104> : streams
 <1553664> : uri <2100951>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 22107
Cc: John Wiegley <jwiegley@HIDDEN>, 22107 <at> debbugs.gnu.org,
 bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

> To me, being able to define, or not define, such commands
> individually, and to make their behaviors be anything one likes,
> is a plus, not a minus.

Making it it impossible (or even just difficult) to define such commands
individually (and provide any behavior you want for them) would be nigh
on impossible.

And no idiot would ever want to do that.

So please, think or investigate before complaining about things that
come straight out of your wild imagination.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 13 Dec 2015 17:26:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 13 12:26:03 2015
Received: from localhost ([127.0.0.1]:50346 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a8APL-0007e9-7F
	for submit <at> debbugs.gnu.org; Sun, 13 Dec 2015 12:26:03 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:24201)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <drew.adams@HIDDEN>) id 1a8API-0007df-NV
 for 22107 <at> debbugs.gnu.org; Sun, 13 Dec 2015 12:26:01 -0500
Received: from userv0021.oracle.com (userv0021.oracle.com [156.151.31.71])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 tBDHPsMe001616
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
 Sun, 13 Dec 2015 17:25:54 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by userv0021.oracle.com (8.13.8/8.13.8) with ESMTP id tBDHPqfM016142
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL);
 Sun, 13 Dec 2015 17:25:53 GMT
Received: from abhmp0011.oracle.com (abhmp0011.oracle.com [141.146.116.17])
 by userv0122.oracle.com (8.13.8/8.13.8) with ESMTP id tBDHPq2l002679;
 Sun, 13 Dec 2015 17:25:52 GMT
MIME-Version: 1.0
Message-ID: <fa7364eb-7d47-4b3e-9661-ad897361731b@default>
Date: Sun, 13 Dec 2015 09:25:50 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: bruce.connor.am@HIDDEN, Stefan Monnier <monnier@HIDDEN>
Subject: RE: bug#22107: 25.1; Wrong docstring for this-single-command-keys
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN> <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN> <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN> <83poyd6m1b.fsf@HIDDEN>
 <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
 <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN> <837fkk6qyq.fsf@HIDDEN>
 <jwveger218y.fsf-monnier+emacsbugs@HIDDEN> <83vb8367jj.fsf@HIDDEN>
 <m2zixfmeaz.fsf@HIDDEN> <jwvwpsjkmvv.fsf-monnier+emacsbugs@HIDDEN>
 <CAAdUY-Lv-78fn4WXJL6Wukzp1+Ba0o654G=AHo5RrcAE=dPu_A@HIDDEN>
In-Reply-To: <CAAdUY-Lv-78fn4WXJL6Wukzp1+Ba0o654G=AHo5RrcAE=dPu_A@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0021.oracle.com [156.151.31.71]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 22107
Cc: John Wiegley <jwiegley@HIDDEN>, 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

> >> Stefan, can you summarize an argument for why it should change in 25.1=
?
> >
> > Because it's better to get rid of all the C-u special case handling and
> > make C-u be a normal command so that GNU ELPA packages can implement
> > their own form of prefix command.

That's a bit vague, even as a summary.

> I think we should do this.

Why do you think so?

> > The immediate need for the new behavior is to be able to implement
> > C-x 4 and C-x 5 as prefix argument (rather than keymaps) so as to
> > be able to get rid of all the foo-other-window and foo-other-frame
> > and the concomitant need to find key bindings for them.

Caveat: I have not been following this thread much, so it's not
very clear to me what is being proposed, or why.  So yes, I am
relatively uninformed about this.

I can say that it sounds like what is being considered will likely
break some of my code, including key completion (in Icicles).

Why the change?  I don't see anything broken that needs "fixing"
here.  I know that Stefan has long touted getting rid of separate
`*-other-[window|frame]' commands as a great idea.  I disagree
with that.  To me that sounds like both a YAGNI and painting
yourself into a corner.

AFAICT, what Stefan has proposed, previously at least, increases
one-size-fits-all rigidity, with no benefit other than dispensing
with the need to define and bind separate `*-other-*' commands.

To me, being able to define, or not define, such commands
individually, and to make their behaviors be anything one likes,
is a plus, not a minus.  I don't see the "bother" of defining
and binding them to be a giant hurdle which should be eliminated
by redesigning the longstanding `C-u' and `C-x [45]' behavior.

Straitjacketing `C-x [45]...' bindings to automatically be only
a predefined "other" version of the command that is bound to
`C-x ...' (without [45]), would be a step backward, IMO.

(A macro to define & bind such a command could perhaps suffice
to accomplish only that, when desired, possibly with the
addition of a hook that the macro can use.  That would not
impose such command definitions and bindings everywhere.  But
even without such a macro, the typical definition and binding
of an `*-other-*' command amounts to only a few lines of code.

Changing how `C-u' is implemented will also likely break my
code that echoes the prefix arg when the minibuffer is active
(e.g., for individual minibuffer keys that perform actions).

(In Icicles it is common to use minibuffer keys that act on
one or more completion candidates.  Such keys can make use of
the prefix arg, so it is important to echo it in this context.)

Another consideration, but minor: If the `*-other-*' commands
are eliminated then you will presumably no longer be able to
invoke them using `M-x'.  The hard-coded `C-x [45]' keys will,
in effect, replace the commands that have (sometimes) been
bound to them.  I like having not only a key but a command
that is associated with it - which I can invoke in various
ways.  (That's the basic Emacs design.)

AFAICT, special-casing `C-x [45]' - making it exceptional,
is oddly enough being made as an argument in favor of more
consistency.  Yes, one person's consistency can be another
person's bother.  I, for one, am not bothered by the need
(and possibility) to define separate `*-other-*' commands.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 13 Dec 2015 15:53:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 13 10:53:22 2015
Received: from localhost ([127.0.0.1]:50313 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a88xe-0005Vm-I6
	for submit <at> debbugs.gnu.org; Sun, 13 Dec 2015 10:53:22 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:47309)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a88xc-0005Ve-AA
 for 22107 <at> debbugs.gnu.org; Sun, 13 Dec 2015 10:53:21 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBDFrEsE024711;
 Sun, 13 Dec 2015 10:53:15 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id D715AAE06F; Sun, 13 Dec 2015 10:53:13 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Artur Malabarba <bruce.connor.am@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwvr3iql52n.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN> <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN> <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN> <83poyd6m1b.fsf@HIDDEN>
 <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
 <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN> <837fkk6qyq.fsf@HIDDEN>
 <jwveger218y.fsf-monnier+emacsbugs@HIDDEN> <83vb8367jj.fsf@HIDDEN>
 <m2zixfmeaz.fsf@HIDDEN>
 <jwvwpsjkmvv.fsf-monnier+emacsbugs@HIDDEN>
 <CAAdUY-Lv-78fn4WXJL6Wukzp1+Ba0o654G=AHo5RrcAE=dPu_A@HIDDEN>
Date: Sun, 13 Dec 2015 10:53:13 -0500
In-Reply-To: <CAAdUY-Lv-78fn4WXJL6Wukzp1+Ba0o654G=AHo5RrcAE=dPu_A@HIDDEN>
 (Artur Malabarba's message of "Sun, 13 Dec 2015 10:12:13 +0000")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5519=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5519> : inlines <4104> : streams
 <1553567> : uri <2100840>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 22107
Cc: John Wiegley <jwiegley@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 22107 <at> debbugs.gnu.org, Glenn Morris <rgm@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

> I think we should do this. If we are worried about changing the
> behavior of this-command-keys during feature-freeze,

FWIW, we're not talking about changing the behavior during feature
freeze: the behavior was changed earlier.
We're only wondering whether to revert this change during feature
freeze, or whether to document the new feature.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 13 Dec 2015 15:37:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 13 10:37:41 2015
Received: from localhost ([127.0.0.1]:50294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a88iS-00058o-QR
	for submit <at> debbugs.gnu.org; Sun, 13 Dec 2015 10:37:40 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41362)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1a88iR-00058b-Ge
 for 22107 <at> debbugs.gnu.org; Sun, 13 Dec 2015 10:37:39 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1a88iI-0005Vc-Is
 for 22107 <at> debbugs.gnu.org; Sun, 13 Dec 2015 10:37:34 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:40445)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1a88iI-0005VY-Ff; Sun, 13 Dec 2015 10:37:30 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2981
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1a88iH-0006D9-B0; Sun, 13 Dec 2015 10:37:29 -0500
Date: Sun, 13 Dec 2015 17:37:38 +0200
Message-Id: <83d1ua5ph9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: bruce.connor.am@HIDDEN
In-reply-to: <CAAdUY-Lv-78fn4WXJL6Wukzp1+Ba0o654G=AHo5RrcAE=dPu_A@HIDDEN>
 (message from Artur Malabarba on Sun, 13 Dec 2015 10:12:13 +0000)
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN>
 <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN>
 <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN>
 <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN>
 <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN>
 <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN>
 <83poyd6m1b.fsf@HIDDEN>
 <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
 <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN>
 <837fkk6qyq.fsf@HIDDEN>
 <jwveger218y.fsf-monnier+emacsbugs@HIDDEN>
 <83vb8367jj.fsf@HIDDEN> <m2zixfmeaz.fsf@HIDDEN>
 <jwvwpsjkmvv.fsf-monnier+emacsbugs@HIDDEN>
 <CAAdUY-Lv-78fn4WXJL6Wukzp1+Ba0o654G=AHo5RrcAE=dPu_A@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22107
Cc: jwiegley@HIDDEN, 22107 <at> debbugs.gnu.org, monnier@HIDDEN,
 rgm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Sun, 13 Dec 2015 10:12:13 +0000
> From: Artur Malabarba <bruce.connor.am@HIDDEN>
> Cc: John Wiegley <jwiegley@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>, Glenn Morris <rgm@HIDDEN>, 
> 	22107 <at> debbugs.gnu.org
> 
> 2015-12-13 4:16 GMT+00:00 Stefan Monnier <monnier@HIDDEN>:
> >> Stefan, can you summarize an argument for why it should change in 25.1?
> >
> > Because it's better to get rid of all the C-u special case handling and
> > make C-u be a normal command so that GNU ELPA packages can implement
> > their own form of prefix command.
> 
> I think we should do this. If we are worried about changing the
> behavior of this-command-keys during feature-freeze, we can modify
> this function to keep the old behaviour under the new framework (at
> least for the next release).

Do you have a suggestion for how to fix this-command-keys?  AFAIU, the
last part of this discussion was trying to find a way of doing that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 13 Dec 2015 10:12:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 13 05:12:21 2015
Received: from localhost ([127.0.0.1]:49888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a83dd-0004MI-0j
	for submit <at> debbugs.gnu.org; Sun, 13 Dec 2015 05:12:21 -0500
Received: from mail-lb0-f173.google.com ([209.85.217.173]:36282)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <arturmalabarba@HIDDEN>) id 1a83db-0004M6-9T
 for 22107 <at> debbugs.gnu.org; Sun, 13 Dec 2015 05:12:19 -0500
Received: by lbblt2 with SMTP id lt2so92233385lbb.3
 for <22107 <at> debbugs.gnu.org>; Sun, 13 Dec 2015 02:12:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=Z7bCLkGeStEO3o2hvqx8/wzcT8kQ3MWFvO7lFpVV8mk=;
 b=emTM2IL+jo+saupEH/otN/MDY+KAjVaVzKL8ocqEibRciV28NEM3ruVZI6tIyMRqiG
 tlcTERq3x38YaG5BXEECJhgbqFIhUjMnfpRp6Juqh71HsqxGo9+hMsFk5i7iTyyjpjoR
 8g+YNfN7qIBKSQHcXvaHdCW1J/hzFA9AZ/DTRAWwbHM5eemT+Yds8cBI/ri3Le3AVpJE
 fcODwRzXqn575FzM9YFdbS97Qkq23D+Mw5+OfckppW3pq9XLoU5pxPwWR8AIqz1RzHRR
 26qIvtNDFcxjoiRehpIKHC+o7v6ZSOB7EUF7+soo6ScHAmPAnVnhe+/vYEwmqf2FslTa
 wshg==
MIME-Version: 1.0
X-Received: by 10.112.242.167 with SMTP id wr7mr9513650lbc.69.1450001533533;
 Sun, 13 Dec 2015 02:12:13 -0800 (PST)
Received: by 10.112.202.99 with HTTP; Sun, 13 Dec 2015 02:12:13 -0800 (PST)
In-Reply-To: <jwvwpsjkmvv.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN>
 <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN>
 <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN>
 <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN>
 <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN>
 <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN>
 <83poyd6m1b.fsf@HIDDEN>
 <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
 <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN>
 <837fkk6qyq.fsf@HIDDEN>
 <jwveger218y.fsf-monnier+emacsbugs@HIDDEN>
 <83vb8367jj.fsf@HIDDEN> <m2zixfmeaz.fsf@HIDDEN>
 <jwvwpsjkmvv.fsf-monnier+emacsbugs@HIDDEN>
Date: Sun, 13 Dec 2015 10:12:13 +0000
X-Google-Sender-Auth: W11Xw9iMxIjCyNZgyAohoQLCDOQ
Message-ID: <CAAdUY-Lv-78fn4WXJL6Wukzp1+Ba0o654G=AHo5RrcAE=dPu_A@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22107
Cc: John Wiegley <jwiegley@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 22107 <at> debbugs.gnu.org, Glenn Morris <rgm@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: bruce.connor.am@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

2015-12-13 4:16 GMT+00:00 Stefan Monnier <monnier@HIDDEN>:
>> Stefan, can you summarize an argument for why it should change in 25.1?
>
> Because it's better to get rid of all the C-u special case handling and
> make C-u be a normal command so that GNU ELPA packages can implement
> their own form of prefix command.

I think we should do this. If we are worried about changing the
behavior of this-command-keys during feature-freeze, we can modify
this function to keep the old behaviour under the new framework (at
least for the next release).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 13 Dec 2015 04:16:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 12 23:16:50 2015
Received: from localhost ([127.0.0.1]:49831 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7y5Z-0004YO-Vn
	for submit <at> debbugs.gnu.org; Sat, 12 Dec 2015 23:16:50 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:57122)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a7y5Y-0004YF-2t
 for 22107 <at> debbugs.gnu.org; Sat, 12 Dec 2015 23:16:48 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBD4Gg3d025195;
 Sat, 12 Dec 2015 23:16:43 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 5573DAE06F; Sat, 12 Dec 2015 23:16:42 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: John Wiegley <jwiegley@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwvwpsjkmvv.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN> <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN> <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN> <83poyd6m1b.fsf@HIDDEN>
 <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
 <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN> <837fkk6qyq.fsf@HIDDEN>
 <jwveger218y.fsf-monnier+emacsbugs@HIDDEN> <83vb8367jj.fsf@HIDDEN>
 <m2zixfmeaz.fsf@HIDDEN>
Date: Sat, 12 Dec 2015 23:16:42 -0500
In-Reply-To: <m2zixfmeaz.fsf@HIDDEN> (John Wiegley's message of "Sat, 
 12 Dec 2015 15:34:44 -0800")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5518=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5518> : inlines <4104> : streams
 <1553306> : uri <2100547>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, 22107 <at> debbugs.gnu.org,
 bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

> Stefan, can you summarize an argument for why it should change in 25.1?

Because it's better to get rid of all the C-u special case handling and
make C-u be a normal command so that GNU ELPA packages can implement
their own form of prefix command.

The immediate need for the new behavior is to be able to implement C-x
4 and C-x 5 as prefix argument (rather than keymaps) so as to be able to
get rid of all the foo-other-window and foo-other-frame and the
concomitant need to find key bindings for them.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 12 Dec 2015 23:34:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 12 18:34:56 2015
Received: from localhost ([127.0.0.1]:49782 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7tgm-0006fL-4W
	for submit <at> debbugs.gnu.org; Sat, 12 Dec 2015 18:34:56 -0500
Received: from mail-pa0-f50.google.com ([209.85.220.50]:34086)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <jwiegley@HIDDEN>) id 1a7tgl-0006f9-9I
 for 22107 <at> debbugs.gnu.org; Sat, 12 Dec 2015 18:34:55 -0500
Received: by pacwq6 with SMTP id wq6so83873413pac.1
 for <22107 <at> debbugs.gnu.org>; Sat, 12 Dec 2015 15:34:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:date:message-id:references:user-agent
 :mime-version:content-type;
 bh=sqZyEtCqAYkLdODcUUvEXx1mJiebH0YsUApQM99mMBM=;
 b=R4CeVdVLW8m1TBferDnjO0Fv0JEoyW9q535y22A5QGM9J1JOy46AdCjKRFuK6MTNLg
 cDwvzyLduA8aVZUSzfc2pp8GEBZ1gTUwD3FdBRS4bGt628hdSeU/gL9qXI2ZGNO2kJZv
 YQ/niqQBeAcxI3smMOwzN9NHoxOv2FuolLaBYq44GX9o0hi3ASeYzkddevPx1Lc4KyW2
 mHCcOgsVSteoG9IBcWNmHhNAb2nnXLIFJHj/75czjLajLaxzM4EeA3GiiaCM6jD1kG3M
 vcEaGKK1q2Et078GmDRV/6WmS9bjFYlvj+Kqyhvk+YAUt5d+55ZP1l2G4BmDRVSdE1FM
 djRQ==
X-Received: by 10.66.234.226 with SMTP id uh2mr34442380pac.6.1449963289574;
 Sat, 12 Dec 2015 15:34:49 -0800 (PST)
Received: from Vulcan.local (76-234-68-79.lightspeed.frokca.sbcglobal.net.
 [76.234.68.79])
 by smtp.gmail.com with ESMTPSA id c14sm33278915pfd.38.2015.12.12.15.34.47
 (version=TLS1 cipher=AES128-SHA bits=128/128);
 Sat, 12 Dec 2015 15:34:47 -0800 (PST)
From: John Wiegley <jwiegley@HIDDEN>
X-Google-Original-From: John Wiegley <johnw@HIDDEN>
Received: by Vulcan.local (Postfix, from userid 501)
 id BBD2311465AF6; Sat, 12 Dec 2015 15:34:46 -0800 (PST)
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Date: Sat, 12 Dec 2015 15:34:44 -0800
Message-ID: <m2zixfmeaz.fsf@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <87h9jt3o66.fsf@HIDDEN> <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN> <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN> <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN> <83poyd6m1b.fsf@HIDDEN>
 <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
 <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN> <837fkk6qyq.fsf@HIDDEN>
 <jwveger218y.fsf-monnier+emacsbugs@HIDDEN> <83vb8367jj.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/24.5 (darwin)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
 bruce.connor.am@HIDDEN, 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

>>>>> Eli Zaretskii <eliz@HIDDEN> writes:

> I'm uneasy with such a change in v25.1. We didn't intend that to happen at
> this time. But maybe I'm the only one who's worried. John?

If it makes you uneasy, Eli, then I am as well. In general I'm very much
against changing existing behavior without good reason. If there's no good
reason here, we should revert to how it behaved previously.

Stefan, can you summarize an argument for why it should change in 25.1?

=2D-=20
John Wiegley                  GPG fingerprint =3D 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQGcBAEBCgAGBQJWbK8UAAoJEMFE2PTxn+Yw0wsMALk9g3ThD2CYzHGSLArw4mBn
3DIJajl5p9PxPMp21vp0WPgmCR3PXjnGLsY1AtaQIXFXDd+bWvxPAGVshu0XqkdO
tC5v6tPAUxfo3GFFInuNuON0ZyGGcE0GzprpnQ3qDY2RIf796uaxsnn7airgYIk6
blTpE7X1ZEJO5DNzWi6O11dgtAQpgXV2W+CLcbfC+98rEybCFAS9kkCMy1DDZkrt
9lIZ1Ys7JzhDbk6iBwzjH9Zvb7snd0572H3aowt2rXgK6R7trYahbHcoYhgUkS3O
3AXjCTxxeFJOPKvoAKsk9vYYB33AkBIaJDr9gMtCPquCy0fOlfQVaMwjHD7OAWwh
871IwnPInDAIvWiig7P3xIcHkFt42fcTIMNM6GyhyK86OdoCuUc6uNrt+vlVZ3dB
By5CXEkK2QDV2cgNhOfb0K+e8kOK8GJy++6GQDsh+CexFGIrrhZ/NX/YXT7bNnWg
jaz8woDywpHJE7LQ3uflwyZlifhSruS+qj3XfE8ThA==
=74t3
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 12 Dec 2015 14:55:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 12 09:55:19 2015
Received: from localhost ([127.0.0.1]:36344 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7lZv-0008Iz-JQ
	for submit <at> debbugs.gnu.org; Sat, 12 Dec 2015 09:55:19 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48010)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1a7lZu-0008It-5G
 for 22107 <at> debbugs.gnu.org; Sat, 12 Dec 2015 09:55:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1a7lZn-000119-Ge
 for 22107 <at> debbugs.gnu.org; Sat, 12 Dec 2015 09:55:12 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45707)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1a7lZj-00010A-MR; Sat, 12 Dec 2015 09:55:07 -0500
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1339
 helo=HOME-C4E4A596F7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1a7lZh-00029c-VF; Sat, 12 Dec 2015 09:55:06 -0500
Date: Sat, 12 Dec 2015 16:55:12 +0200
Message-Id: <83vb8367jj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>, John Wiegley <johnw@HIDDEN>
In-reply-to: <jwveger218y.fsf-monnier+emacsbugs@HIDDEN> (message from Stefan
 Monnier on Sat, 12 Dec 2015 09:25:09 -0500)
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN> <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN> <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN> <83poyd6m1b.fsf@HIDDEN>
 <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
 <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN> <837fkk6qyq.fsf@HIDDEN>
 <jwveger218y.fsf-monnier+emacsbugs@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: bruce.connor.am@HIDDEN, rgm@HIDDEN, 22107 <at> debbugs.gnu.org
> Date: Sat, 12 Dec 2015 09:25:09 -0500
> 
> >> >>> AFAIK (and according to this bug report) the change has already been
> >> >>> done (tho not to the docstring).
> >> >> If you refer to the commit I made on emacs-25, then it just restored
> >> >> old behavior; this-command-keys and this-single-command-keys still
> >> >> differ wrt including/excluding C-u after that change.
> >> > IOW this commit you just made undid the change.
> >> BTW, your commit seems to have introduced a new problem:
> >> src/emacs -Q
> >> C-u ...wait...
> >> [ here I see "C-u C-u-" in the echo area instead of "C-u-". ]
> >> 4 ...wait...
> >> [ here I see "C-u 4 C-u 4-" in the echo area instead of "C-u 4-". ]
> > So I guess your idea that it would be the right fix was not entirely
> > correct, was it?
> 
> No, indeed.
> 
> > Any further suggestions?
> 
> My suggestion is not to fix it (i.e. to change the docstring).

I'm uneasy with such a change in v25.1.  We didn't intend that to
happen at this time.  But maybe I'm the only one who's worried.  John?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 12 Dec 2015 14:25:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 12 09:25:17 2015
Received: from localhost ([127.0.0.1]:35518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7l6q-0007QB-QL
	for submit <at> debbugs.gnu.org; Sat, 12 Dec 2015 09:25:16 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:54393)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a7l6o-0007Q2-1I
 for 22107 <at> debbugs.gnu.org; Sat, 12 Dec 2015 09:25:15 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBCEP9lg013673;
 Sat, 12 Dec 2015 09:25:11 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 1D076AE06F; Sat, 12 Dec 2015 09:25:09 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwveger218y.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN> <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN> <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN> <83poyd6m1b.fsf@HIDDEN>
 <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
 <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN> <837fkk6qyq.fsf@HIDDEN>
Date: Sat, 12 Dec 2015 09:25:09 -0500
In-Reply-To: <837fkk6qyq.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 12 Dec
 2015 09:55:41 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5518=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5518> : inlines <4104> : streams
 <1553004> : uri <2100179>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

>> >>> AFAIK (and according to this bug report) the change has already been
>> >>> done (tho not to the docstring).
>> >> If you refer to the commit I made on emacs-25, then it just restored
>> >> old behavior; this-command-keys and this-single-command-keys still
>> >> differ wrt including/excluding C-u after that change.
>> > IOW this commit you just made undid the change.
>> BTW, your commit seems to have introduced a new problem:
>> src/emacs -Q
>> C-u ...wait...
>> [ here I see "C-u C-u-" in the echo area instead of "C-u-". ]
>> 4 ...wait...
>> [ here I see "C-u 4 C-u 4-" in the echo area instead of "C-u 4-". ]
> So I guess your idea that it would be the right fix was not entirely
> correct, was it?

No, indeed.

> Any further suggestions?

My suggestion is not to fix it (i.e. to change the docstring).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 12 Dec 2015 07:55:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 12 02:55:41 2015
Received: from localhost ([127.0.0.1]:35377 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7f1p-00059k-KR
	for submit <at> debbugs.gnu.org; Sat, 12 Dec 2015 02:55:41 -0500
Received: from mtaout24.012.net.il ([80.179.55.180]:40356)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1a7f1n-00059X-Qz
 for 22107 <at> debbugs.gnu.org; Sat, 12 Dec 2015 02:55:40 -0500
Received: from conversion-daemon.mtaout24.012.net.il by mtaout24.012.net.il
 (HyperSendmail v2007.08) id <0NZ800E00IZPIY00@HIDDEN> for
 22107 <at> debbugs.gnu.org; Sat, 12 Dec 2015 09:48:21 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by mtaout24.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NZ8006EIJ0KHS60@HIDDEN>; Sat, 12 Dec 2015 09:48:21 +0200 (IST)
Date: Sat, 12 Dec 2015 09:55:41 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
In-reply-to: <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <837fkk6qyq.fsf@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN> <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN> <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN> <83poyd6m1b.fsf@HIDDEN>
 <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
 <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: bruce.connor.am@HIDDEN, rgm@HIDDEN, 22107 <at> debbugs.gnu.org
> Date: Fri, 11 Dec 2015 23:28:35 -0500
> 
> >>> AFAIK (and according to this bug report) the change has already been
> >>> done (tho not to the docstring).
> >> If you refer to the commit I made on emacs-25, then it just restored
> >> old behavior; this-command-keys and this-single-command-keys still
> >> differ wrt including/excluding C-u after that change.
> > IOW this commit you just made undid the change.
> 
> BTW, your commit seems to have introduced a new problem:
> 
>     src/emacs -Q
>     C-u ...wait...
>     [ here I see "C-u C-u-" in the echo area instead of "C-u-". ]
>     4 ...wait...
>     [ here I see "C-u 4 C-u 4-" in the echo area instead of "C-u 4-". ]

So I guess your idea that it would be the right fix was not entirely
correct, was it?

Any further suggestions?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 12 Dec 2015 04:28:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 11 23:28:43 2015
Received: from localhost ([127.0.0.1]:35236 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7bnX-0000K4-Kh
	for submit <at> debbugs.gnu.org; Fri, 11 Dec 2015 23:28:43 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:49278)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a7bnV-0000Jw-3x
 for 22107 <at> debbugs.gnu.org; Fri, 11 Dec 2015 23:28:41 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBC4SaDr021368;
 Fri, 11 Dec 2015 23:28:37 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 69BB1AE067; Fri, 11 Dec 2015 23:28:35 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwv8u502sya.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN> <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN> <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN> <83poyd6m1b.fsf@HIDDEN>
 <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
Date: Fri, 11 Dec 2015 23:28:35 -0500
In-Reply-To: <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Fri, 11 Dec 2015 22:57:29 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5517=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5517> : inlines <4104> : streams
 <1552782> : uri <2099910>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

>>> AFAIK (and according to this bug report) the change has already been
>>> done (tho not to the docstring).
>> If you refer to the commit I made on emacs-25, then it just restored
>> old behavior; this-command-keys and this-single-command-keys still
>> differ wrt including/excluding C-u after that change.
> IOW this commit you just made undid the change.

BTW, your commit seems to have introduced a new problem:

    src/emacs -Q
    C-u ...wait...
    [ here I see "C-u C-u-" in the echo area instead of "C-u-". ]
    4 ...wait...
    [ here I see "C-u 4 C-u 4-" in the echo area instead of "C-u 4-". ]


-- Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 12 Dec 2015 04:06:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 11 23:06:58 2015
Received: from localhost ([127.0.0.1]:35232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7bST-0008Gs-Rd
	for submit <at> debbugs.gnu.org; Fri, 11 Dec 2015 23:06:58 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:60574)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a7bSR-0008Gj-EC
 for 22107 <at> debbugs.gnu.org; Fri, 11 Dec 2015 23:06:55 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBC46qkK020219;
 Fri, 11 Dec 2015 23:06:53 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 3E0B8AE067; Fri, 11 Dec 2015 23:06:52 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Artur Malabarba <bruce.connor.am@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwveges2u59.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <jwv1tat8vrr.fsf-monnier+bug#22107@HIDDEN>
 <CAAdUY-+MbXUH0MmdjWZNXen3w0bU9C893vghZ9CYqvzFK=m=jw@HIDDEN>
 <jwvoadx6o8t.fsf-monnier+emacsbugs@HIDDEN>
 <CAAdUY-K8tA6itJXXFMAxa1WkkDbUkpnc0grgPTEqY8CySeDgww@HIDDEN>
Date: Fri, 11 Dec 2015 23:06:52 -0500
In-Reply-To: <CAAdUY-K8tA6itJXXFMAxa1WkkDbUkpnc0grgPTEqY8CySeDgww@HIDDEN>
 (Artur Malabarba's message of "Fri, 11 Dec 2015 15:39:46 +0000")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5517=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5517> : inlines <4104> : streams
 <1552774> : uri <2099900>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 22107
Cc: 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

> It can be made to, yes. But I wanted the C-u it to be displayed as
> part of the following command.
> The point of this little package is that it doesn't display every
> single key combo you use. It only displays the keybind of a few
> commands that you specify in advance (so it only shows the commands
> you're trying to teach).

That makes sense, thank you.

> Right now, I've just patched my own code to display something like
> this in that situation (and I'm happy with it):
>    eval-last-sexp (with prefix)
>    C-u C-x C-e

And indeed for your example, this behavior is meaningful for C-u but not
nearly as much for a prefix like C-x 4 (whose effect should be the
same for all commands, contrary to C-u whose effect can vary
from one command to the next).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 12 Dec 2015 03:57:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 11 22:57:37 2015
Received: from localhost ([127.0.0.1]:35228 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7bJQ-00083Z-UL
	for submit <at> debbugs.gnu.org; Fri, 11 Dec 2015 22:57:37 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:41236)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a7bJO-00083Q-UJ
 for 22107 <at> debbugs.gnu.org; Fri, 11 Dec 2015 22:57:36 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBC3vUG3019465;
 Fri, 11 Dec 2015 22:57:31 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id E9944AE067; Fri, 11 Dec 2015 22:57:29 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwvk2ok2ubf.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN> <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN> <83eget8gos.fsf@HIDDEN>
 <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN> <83poyd6m1b.fsf@HIDDEN>
Date: Fri, 11 Dec 2015 22:57:29 -0500
In-Reply-To: <83poyd6m1b.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 11 Dec
 2015 17:29:52 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5517=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5517> : inlines <4104> : streams
 <1552770> : uri <2099895>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

>> AFAIK (and according to this bug report) the change has already been
>> done (tho not to the docstring).
> If you refer to the commit I made on emacs-25, then it just restored
> old behavior; this-command-keys and this-single-command-keys still
> differ wrt including/excluding C-u after that change.

IOW this commit you just made undid the change.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 11 Dec 2015 19:27:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 11 14:27:01 2015
Received: from localhost ([127.0.0.1]:35100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7TLI-0002js-PP
	for submit <at> debbugs.gnu.org; Fri, 11 Dec 2015 14:27:00 -0500
Received: from x-132-204-253-139.xtpr.umontreal.ca ([132.204.253.139]:52140
 helo=chicot.dit.umontreal.ca)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a7TLG-0002jH-Bx
 for 22107 <at> debbugs.gnu.org; Fri, 11 Dec 2015 14:26:58 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBB4OnFC026065;
 Thu, 10 Dec 2015 23:24:50 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id E8129AE060; Thu, 10 Dec 2015 23:24:48 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwvtwnp7h2d.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <83fuza9m18.fsf@HIDDEN>
Date: Thu, 10 Dec 2015 23:24:48 -0500
In-Reply-To: <83fuza9m18.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 10 Dec
 2015 20:49:23 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5516=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5516> : inlines <4101> : streams
 <1552241> : uri <2099249>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  >> > So how about saying a few words about the meaning of
 the return value >> > of internal-echo-keystrokes-prefix? I think it's
 important
 enough to >> > have that at least documented in comments. >> It's used as
 a proxy for "we're in the middle of a command-with-prefix, > When it returns
 non-nil, I presume? [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
 domain
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >> > So how about saying a few words about the meaning of
   the return value >> > of internal-echo-keystrokes-prefix? I think it's important
    enough to >> > have that at least documented in comments. >> It's used as
    a proxy for "we're in the middle of a command-with-prefix, > When it returns
    non-nil, I presume? [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
                             domain
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

>> > So how about saying a few words about the meaning of the return value
>> > of internal-echo-keystrokes-prefix?  I think it's important enough to
>> > have that at least documented in comments.
>> It's used as a proxy for "we're in the middle of a command-with-prefix,
> When it returns non-nil, I presume?

Right.

>> which may be using the `prefix-arg' variable or any other variable".
> But this means we can never be sure a non-nil value actually mean the
> user typed a prefix-arg command, is that true?

Yes and no.  It depends on how you define "prefix arg command".

> Do we want to treat the "other" prefixes as prefix-arg in this case?

I think so, yes.  Or rather I think I know that we want to get rid of
the special casing of prefix commands.

> (which ones, btw?)

There's C-x 4 and C-x 5 (or is C-x 8 and C-x 9) in GNU ELPA's
other-frame-window.

PCL-CVS had some other prefix commands, tho they weren't recognizable by
Emacs as such.  I think Gnus's M-& is another example.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 11 Dec 2015 19:27:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 11 14:27:00 2015
Received: from localhost ([127.0.0.1]:35098 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7TLI-0002jq-HJ
	for submit <at> debbugs.gnu.org; Fri, 11 Dec 2015 14:27:00 -0500
Received: from x-132-204-253-139.xtpr.umontreal.ca ([132.204.253.139]:52140
 helo=chicot.dit.umontreal.ca)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a7TLF-0002jH-5o
 for 22107 <at> debbugs.gnu.org; Fri, 11 Dec 2015 14:26:58 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBB4HoO7014217;
 Thu, 10 Dec 2015 23:17:51 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 930FDAE091; Thu, 10 Dec 2015 23:17:49 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN> <83egeu9lze.fsf@HIDDEN>
Date: Thu, 10 Dec 2015 23:17:49 -0500
In-Reply-To: <83egeu9lze.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 10 Dec
 2015 20:50:29 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5516=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5516> : inlines <4101> : streams
 <1552238> : uri <2099245>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  >> This said,
 the distinction between "this-single-command-keys"
 and >> "this-command-keys" is something which should disappear, IMNSHO. >
 Are we sure no one out there depends on that? This is a very old > feature.
 [...] Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
 domain
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >> This said, the distinction between "this-single-command-keys"
    and >> "this-command-keys" is something which should disappear, IMNSHO. >
    Are we sure no one out there depends on that? This is a very old > feature.
    [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
                             domain
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

>> This said, the distinction between "this-single-command-keys" and
>> "this-command-keys" is something which should disappear, IMNSHO.
> Are we sure no one out there depends on that?  This is a very old
> feature.

I'm not, but we should go in that direction, i.e. we should check where
this distinction might be used and how to fix/change it.

FWIW, I've already made such changes to the keyboard-macro machinery
which depended on it, and the result was simpler code (since C-u is now
a plain normal command, the special casing of C-u was simply dropped).

This probably also means that fixing bug#22107 may introduce other
regressions because of code I changed to rely on the new behavior.




        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 11 Dec 2015 19:26:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 11 14:26:58 2015
Received: from localhost ([127.0.0.1]:35095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7TLG-0002jb-B9
	for submit <at> debbugs.gnu.org; Fri, 11 Dec 2015 14:26:58 -0500
Received: from x-132-204-253-139.xtpr.umontreal.ca ([132.204.253.139]:52140
 helo=chicot.dit.umontreal.ca)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a7TLE-0002jH-0F
 for 22107 <at> debbugs.gnu.org; Fri, 11 Dec 2015 14:26:57 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by pruche.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBB4Hmgo014216;
 Thu, 10 Dec 2015 23:17:49 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 49FA1AE060; Thu, 10 Dec 2015 23:17:48 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Artur Malabarba <bruce.connor.am@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwv1tat8vrr.fsf-monnier+bug#22107@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
Date: Thu, 10 Dec 2015 23:17:48 -0500
In-Reply-To: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 (Artur Malabarba's message of "Mon, 7 Dec 2015 15:42:39 +0000")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5516=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5516> : inlines <4101> : streams
 <1552238> : uri <2099245>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > However, the function ‘this-command-keys’ also does
   not seem to return > prefix arguments. I tested this by evaluating the following
    code and then > typing C-u C-F3. (the output is just [C-f3]) [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
                             domain
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS
X-Debbugs-Envelope-To: 22107
Cc: 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > However, the function ‘this-command-keys’ also does
   not seem to return > prefix arguments. I tested this by evaluating the following
    code and then > typing C-u C-F3. (the output is just [C-f3]) [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
                             domain
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

> However, the function =E2=80=98this-command-keys=E2=80=99 also does not s=
eem to return
> prefix arguments. I tested this by evaluating the following code and then
> typing C-u C-F3. (the output is just [C-f3])

Indeed, C-u is now a completely normal command so there's no special
handling of "prefix commands" for this-command-keys.
Could you tel us where that caused a problem for you?


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 11 Dec 2015 19:06:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 11 14:06:44 2015
Received: from localhost ([127.0.0.1]:35081 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7T1g-0002E4-AL
	for submit <at> debbugs.gnu.org; Fri, 11 Dec 2015 14:06:44 -0500
Received: from mail-lb0-f193.google.com ([209.85.217.193]:33486)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <arturmalabarba@HIDDEN>) id 1a7T1e-0002Dr-E2
 for 22107 <at> debbugs.gnu.org; Fri, 11 Dec 2015 14:06:42 -0500
Received: by lbbcs9 with SMTP id cs9so7078183lbb.0
 for <22107 <at> debbugs.gnu.org>; Fri, 11 Dec 2015 11:06:36 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=LZdONu3P3Xr5a54WQ+h1zF3Kkdb5r3EgfVhPLgeYaqU=;
 b=XWVQ4/WT0hTSfyK3DYgtbVc8/CHX2GHtI2uQwJccI/0pAe6hmPPFbAoWDFAVDoaAf8
 AGb/P3R2knr4RUPtX0y3CzKuMGsjEIYFymdpk4WeVDm90/wF+g/RCkN00Yh9nzObJSrB
 qy8mQ4V5Q29MeDrWfD7MmN9VebV4PCSCYzJCMxaBam7rn+0UIB7DQu6tTj8YDP1pxX8c
 QMW6pR41JKXTDycqW1i4uQEBnINQD+AkTzzk2fnKriwpcXX/aKfMCICxshPIOz81UL7I
 lhmWMqoUPxNjFnFDTDf+M3egn9HCqEdxCEbBeJdzG+XeR17Zvmiq8kRsQBQLCpf0NY9c
 6xUQ==
MIME-Version: 1.0
X-Received: by 10.112.126.106 with SMTP id mx10mr7905270lbb.3.1449839437997;
 Fri, 11 Dec 2015 05:10:37 -0800 (PST)
Received: by 10.112.202.99 with HTTP; Fri, 11 Dec 2015 05:10:37 -0800 (PST)
In-Reply-To: <jwv1tat8vrr.fsf-monnier+bug#22107@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <jwv1tat8vrr.fsf-monnier+bug#22107@HIDDEN>
Date: Fri, 11 Dec 2015 13:10:37 +0000
X-Google-Sender-Auth: 0yCMwLqK8FNs5gloul4OJLmkpTw
Message-ID: <CAAdUY-+MbXUH0MmdjWZNXen3w0bU9C893vghZ9CYqvzFK=m=jw@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 22107
Cc: 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: bruce.connor.am@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.4 (/)

On 11 Dec 2015 4:17 am, "Stefan Monnier" <monnier@HIDDEN> wrote:
> Indeed, C-u is now a completely normal command so there's no special
> handling of "prefix commands" for this-command-keys.
> Could you tel us where that caused a problem for you?

I wrote a package for use in screencasts, which displays the key for
some commands when you invoke them. And I wanted it to show prefix
args too.

That said, this doesn't actually affect me right now. Since I didn't
know this was a bug, I manually implemented this "prefix-arg
detection" into my code.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 11 Dec 2015 18:09:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 11 13:09:18 2015
Received: from localhost ([127.0.0.1]:35030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7S86-0000gr-08
	for submit <at> debbugs.gnu.org; Fri, 11 Dec 2015 13:09:18 -0500
Received: from x-132-204-253-139.xtpr.umontreal.ca ([132.204.253.139]:51791
 helo=chicot.dit.umontreal.ca)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a7S85-0000gU-6c
 for 22107 <at> debbugs.gnu.org; Fri, 11 Dec 2015 13:09:17 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBBElch7029537;
 Fri, 11 Dec 2015 09:47:39 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 2CEF4AE067; Fri, 11 Dec 2015 09:47:38 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwvtwnp59ij.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <83fuza9m18.fsf@HIDDEN> <jwvtwnp7h2d.fsf-monnier+emacsbugs@HIDDEN>
 <83bn9x8g12.fsf@HIDDEN>
Date: Fri, 11 Dec 2015 09:47:38 -0500
In-Reply-To: <83bn9x8g12.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 11 Dec
 2015 11:56:41 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5517=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5517> : inlines <4102> : streams
 <1552478> : uri <2099529>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  >> >> > So how about saying a few words about the meaning
 of the return value >> >> > of internal-echo-keystrokes-prefix? I think it's
 important enough to >> >> > have that at least documented in comments. >>
 >> It's used as a proxy for "we're in the middle of a command-with-prefix,
 >> > When it returns non-nil, I presume? >> Right. > Hmm... I see it also
 has some side effects, so is it really safe to > call it whenever we want
 to know "if we are in the middle of > command-with-prefix"? What could those
 side effects be? [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
 domain
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >> >> > So how about saying a few words about the meaning
   of the return value >> >> > of internal-echo-keystrokes-prefix? I think it's
    important enough to >> >> > have that at least documented in comments. >>
    >> It's used as a proxy for "we're in the middle of a command-with-prefix,
    >> > When it returns non-nil, I presume? >> Right. > Hmm... I see it also
    has some side effects, so is it really safe to > call it whenever we want
    to know "if we are in the middle of > command-with-prefix"? What could those
    side effects be? [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
                             domain
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

>> >> > So how about saying a few words about the meaning of the return value
>> >> > of internal-echo-keystrokes-prefix?  I think it's important enough to
>> >> > have that at least documented in comments.
>> >> It's used as a proxy for "we're in the middle of a command-with-prefix,
>> > When it returns non-nil, I presume?
>> Right.
> Hmm... I see it also has some side effects, so is it really safe to
> call it whenever we want to know "if we are in the middle of
> command-with-prefix"?  What could those side effects be?

As currently implemented, it should be "pure with memoization" (IOW the
"effect" is in the memoization only).  And that's the intention of how
it should behave.  Of course it's Elisp so it could do anything.
IOW it's OK to call it iff calling Elisp doesn't risk crashing Emacs.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 11 Dec 2015 18:09:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 11 13:09:18 2015
Received: from localhost ([127.0.0.1]:35028 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7S85-0000gp-PS
	for submit <at> debbugs.gnu.org; Fri, 11 Dec 2015 13:09:17 -0500
Received: from x-132-204-253-139.xtpr.umontreal.ca ([132.204.253.139]:51791
 helo=chicot.dit.umontreal.ca)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a7S83-0000gU-41
 for 22107 <at> debbugs.gnu.org; Fri, 11 Dec 2015 13:09:17 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBBEnRft029779;
 Fri, 11 Dec 2015 09:49:28 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id D3413AE067; Fri, 11 Dec 2015 09:49:26 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwvoadx59ey.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN> <83egeu9lze.fsf@HIDDEN>
 <jwv61058w23.fsf-monnier+emacsbugs@HIDDEN> <83eget8gos.fsf@HIDDEN>
Date: Fri, 11 Dec 2015 09:49:26 -0500
In-Reply-To: <83eget8gos.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 11 Dec
 2015 11:42:27 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5517=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5517> : inlines <4102> : streams
 <1552479> : uri <2099530>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > In what direction should the distinction disappear? Should
 it always > include C-u, or should it never include it? Since C-u is now
 a completely normal command, the C-u that precedes is treated the same as
 any other command that might have been run before. IOW, the C-u should never
 be included. [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
 domain
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > In what direction should the distinction disappear? Should
    it always > include C-u, or should it never include it? Since C-u is now
   a completely normal command, the C-u that precedes is treated the same as
   any other command that might have been run before. IOW, the C-u should never
    be included. [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
                             domain
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

> In what direction should the distinction disappear?  Should it always
> include C-u, or should it never include it?

Since C-u is now a completely normal command, the C-u that precedes is
treated the same as any other command that might have been run before.
IOW, the C-u should never be included.

> I guess we could make such a change on master, and see if it breaks
> something.

I'm not sure which change you're referring to.  AFAIK (and according to
this bug report) the change has already been done (tho not to the
docstring).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 11 Dec 2015 18:02:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 11 13:02:41 2015
Received: from localhost ([127.0.0.1]:35023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7S1h-0000WY-3P
	for submit <at> debbugs.gnu.org; Fri, 11 Dec 2015 13:02:41 -0500
Received: from x-132-204-253-139.xtpr.umontreal.ca ([132.204.253.139]:51751
 helo=chicot.dit.umontreal.ca)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a7S1f-0000WL-M0
 for 22107 <at> debbugs.gnu.org; Fri, 11 Dec 2015 13:02:40 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBBEiFZ6029268;
 Fri, 11 Dec 2015 09:44:16 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 5028EAE067; Fri, 11 Dec 2015 09:44:14 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Artur Malabarba <bruce.connor.am@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwvoadx6o8t.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <jwv1tat8vrr.fsf-monnier+bug#22107@HIDDEN>
 <CAAdUY-+MbXUH0MmdjWZNXen3w0bU9C893vghZ9CYqvzFK=m=jw@HIDDEN>
Date: Fri, 11 Dec 2015 09:44:14 -0500
In-Reply-To: <CAAdUY-+MbXUH0MmdjWZNXen3w0bU9C893vghZ9CYqvzFK=m=jw@HIDDEN>
 (Artur Malabarba's message of "Fri, 11 Dec 2015 13:10:37 +0000")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5517=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5517> : inlines <4102> : streams
 <1552477> : uri <2099527>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  >> Indeed, C-u is now a completely normal command so there's
 no special >> handling of "prefix commands" for this-command-keys. >> Could
 you tel us where that caused a problem for you? > I wrote a package for use
 in screencasts, which displays the key for > some commands when you invoke
 them. And I wanted it to show prefix > args too. [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
 domain
 0.4 RDNS_DYNAMIC           Delivered to internal network by host with
 dynamic-looking rDNS
X-Debbugs-Envelope-To: 22107
Cc: 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  >> Indeed, C-u is now a completely normal command so there's
    no special >> handling of "prefix commands" for this-command-keys. >> Could
    you tel us where that caused a problem for you? > I wrote a package for use
    in screencasts, which displays the key for > some commands when you invoke
    them. And I wanted it to show prefix > args too. [...] 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_RP_MATCHES_RCVD      Envelope sender domain matches handover relay
                             domain
  0.4 RDNS_DYNAMIC           Delivered to internal network by host with
                             dynamic-looking rDNS

>> Indeed, C-u is now a completely normal command so there's no special
>> handling of "prefix commands" for this-command-keys.
>> Could you tel us where that caused a problem for you?
> I wrote a package for use in screencasts, which displays the key for
> some commands when you invoke them.  And I wanted it to show prefix
> args too.

Could you give some details?  More specifically, doesn't the screen-cast
already give you the C-u when the prefix command itself is run?

> That said, this doesn't actually affect me right now.  Since I didn't
> know this was a bug,

I consider it a feature at least as much as a bug ;-)


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 11 Dec 2015 17:27:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 11 12:27:21 2015
Received: from localhost ([127.0.0.1]:40669 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a7RTV-0007cN-DO
	for submit <at> debbugs.gnu.org; Fri, 11 Dec 2015 12:27:21 -0500
Received: from mail-lf0-f53.google.com ([209.85.215.53]:36339)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <arturmalabarba@HIDDEN>) id 1a7RTU-0007c8-3i
 for 22107 <at> debbugs.gnu.org; Fri, 11 Dec 2015 12:27:20 -0500
Received: by lfed137 with SMTP id d137so32499573lfe.3
 for <22107 <at> debbugs.gnu.org>; Fri, 11 Dec 2015 09:27:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=izPHIOLc7PqfciUtzl9WBReD2B3EBEzXHNps34TPqCI=;
 b=P1zsbM89N6YQb3VI41bGap68gXoxFIbva86FFDuSHqZrkeHPEZCyOXhbxYSHpdFthO
 EGwEEj3/KQ5LRQF1p53kfFvUgzI81piidq0/3kGB90AWXW0vtYckm3irIppBXAxOUn5E
 bZchBPZZ/MwOEgyJvYmQLWXsUlhJNDeQFW4Y4jfK/eWrokiPxsrBTC14h/rE56Jp4e3i
 L1YDtmq/k4pC4jYvhnuFZcvDC3nUj4iWXn1kcZiy2nuCbsC/lUsYRf1z4BfcO5Pqg7QZ
 XUBkrbcA5KyIfuddGAl2MX2C9cLUyuF5TiOydpFO5C0+P1gDg30nh2Vc0FPOZmOMTP9w
 c2Zg==
MIME-Version: 1.0
X-Received: by 10.25.20.217 with SMTP id 86mr8075955lfu.164.1449848386235;
 Fri, 11 Dec 2015 07:39:46 -0800 (PST)
Received: by 10.112.202.99 with HTTP; Fri, 11 Dec 2015 07:39:46 -0800 (PST)
In-Reply-To: <jwvoadx6o8t.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <jwv1tat8vrr.fsf-monnier+bug#22107@HIDDEN>
 <CAAdUY-+MbXUH0MmdjWZNXen3w0bU9C893vghZ9CYqvzFK=m=jw@HIDDEN>
 <jwvoadx6o8t.fsf-monnier+emacsbugs@HIDDEN>
Date: Fri, 11 Dec 2015 15:39:46 +0000
X-Google-Sender-Auth: xAKrVS4gJf53AYAT3-kkhfnuerM
Message-ID: <CAAdUY-K8tA6itJXXFMAxa1WkkDbUkpnc0grgPTEqY8CySeDgww@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22107
Cc: 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: bruce.connor.am@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

2015-12-11 14:44 GMT+00:00 Stefan Monnier <monnier@HIDDEN>:
>>> Indeed, C-u is now a completely normal command so there's no special
>>> handling of "prefix commands" for this-command-keys.
>>> Could you tel us where that caused a problem for you?
>> I wrote a package for use in screencasts, which displays the key for
>> some commands when you invoke them.  And I wanted it to show prefix
>> args too.
>
> Could you give some details?  More specifically, doesn't the screen-cast
> already give you the C-u when the prefix command itself is run?

It can be made to, yes. But I wanted the C-u it to be displayed as
part of the following command.
The point of this little package is that it doesn't display every
single key combo you use. It only displays the keybind of a few
commands that you specify in advance (so it only shows the commands
you're trying to teach).

So you run something like (display-keys-for-commands '(eval-last-sexp
eval-buffer eval-defun)). From there on, wherever you type C-x C-e, a
small frame will popup saying:
   eval-last-sexp
   C-x C-e
(where C-x C-e is in a big bright font).

Now I also want to teach viewers that hitting C-u C-x C-e will insert
the results of evaluation.
I could add `universal-argument' to that list of commands for which it
will show the key, but then it will report that C-u was pressed even
when it is pressed before some command that I don't care about (like
C-n or C-p). This is a sensible behavior given that C-u is a command
like any other, but it would be confusing for viewers who don't
understand this technicality.

Right now, I've just patched my own code to display something like
this in that situation (and I'm happy with it):
   eval-last-sexp (with prefix)
   C-u C-x C-e




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 10 Dec 2015 18:51:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 10 13:51:39 2015
Received: from localhost ([127.0.0.1]:39454 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a76JW-0005gm-Ss
	for submit <at> debbugs.gnu.org; Thu, 10 Dec 2015 13:51:39 -0500
Received: from mtaout28.012.net.il ([80.179.55.184]:40439)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1a76JV-0005ga-Ot
 for 22107 <at> debbugs.gnu.org; Thu, 10 Dec 2015 13:51:38 -0500
Received: from conversion-daemon.mtaout28.012.net.il by mtaout28.012.net.il
 (HyperSendmail v2007.08) id <0NZ500A00NQ36H00@HIDDEN> for
 22107 <at> debbugs.gnu.org; Thu, 10 Dec 2015 20:49:37 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by mtaout28.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NZ5002H1OAOPJ80@HIDDEN>; Thu, 10 Dec 2015 20:49:37 +0200 (IST)
Date: Thu, 10 Dec 2015 20:50:29 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
In-reply-to: <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <83egeu9lze.fsf@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
 <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: bruce.connor.am@HIDDEN, rgm@HIDDEN, 22107 <at> debbugs.gnu.org
> Date: Thu, 10 Dec 2015 13:37:33 -0500
> 
> This said, the distinction between "this-single-command-keys" and
> "this-command-keys" is something which should disappear, IMNSHO.

Are we sure no one out there depends on that?  This is a very old
feature.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 10 Dec 2015 18:49:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 10 13:49:54 2015
Received: from localhost ([127.0.0.1]:39448 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a76Hq-0005e0-HO
	for submit <at> debbugs.gnu.org; Thu, 10 Dec 2015 13:49:54 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:36162)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1a76Ho-0005dm-IN
 for 22107 <at> debbugs.gnu.org; Thu, 10 Dec 2015 13:49:53 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0NZ500H00NUSVD00@HIDDEN> for 22107 <at> debbugs.gnu.org;
 Thu, 10 Dec 2015 20:49:19 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NZ500H22OA6PU70@HIDDEN>;
 Thu, 10 Dec 2015 20:49:19 +0200 (IST)
Date: Thu, 10 Dec 2015 20:49:23 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
In-reply-to: <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Stefan Monnier <monnier@HIDDEN>
Message-id: <83fuza9m18.fsf@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

> From: Stefan Monnier <monnier@HIDDEN>
> Cc: bruce.connor.am@HIDDEN, rgm@HIDDEN, 22107 <at> debbugs.gnu.org
> Date: Thu, 10 Dec 2015 13:34:48 -0500
> 
> > So how about saying a few words about the meaning of the return value
> > of internal-echo-keystrokes-prefix?  I think it's important enough to
> > have that at least documented in comments.
> 
> It's used as a proxy for "we're in the middle of a command-with-prefix,

When it returns non-nil, I presume?

> which may be using the `prefix-arg' variable or any other variable".

But this means we can never be sure a non-nil value actually mean the
user typed a prefix-arg command, is that true?  Do we want to treat
the "other" prefixes (which ones, btw?) as prefix-arg in this case?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 10 Dec 2015 18:37:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 10 13:37:39 2015
Received: from localhost ([127.0.0.1]:39434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a765z-0005LP-7W
	for submit <at> debbugs.gnu.org; Thu, 10 Dec 2015 13:37:39 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:40551)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a765x-0005LH-OK
 for 22107 <at> debbugs.gnu.org; Thu, 10 Dec 2015 13:37:37 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBAIbYWP017385;
 Thu, 10 Dec 2015 13:37:35 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 91671AE060; Thu, 10 Dec 2015 13:37:33 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwv61069mmw.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN> <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
Date: Thu, 10 Dec 2015 13:37:33 -0500
In-Reply-To: <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Thu, 10 Dec 2015 13:34:48 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0
X-NAI-Spam-Rules: 1 Rules triggered
	RV5516=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5516> : inlines <4099> : streams
 <1552027> : uri <2098982>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

>> So how about saying a few words about the meaning of the return value
>> of internal-echo-keystrokes-prefix?  I think it's important enough to
>> have that at least documented in comments.
> It's used as a proxy for "we're in the middle of a command-with-prefix,
> which may be using the `prefix-arg' variable or any other variable".

This said, the distinction between "this-single-command-keys" and
"this-command-keys" is something which should disappear, IMNSHO.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 10 Dec 2015 18:34:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 10 13:34:54 2015
Received: from localhost ([127.0.0.1]:39428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a763J-0005Gx-RM
	for submit <at> debbugs.gnu.org; Thu, 10 Dec 2015 13:34:53 -0500
Received: from chene.dit.umontreal.ca ([132.204.246.20]:46623)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a763I-0005Gp-8j
 for 22107 <at> debbugs.gnu.org; Thu, 10 Dec 2015 13:34:52 -0500
Received: from fmsmemgm.homelinux.net (lechon.iro.umontreal.ca
 [132.204.27.242])
 by chene.dit.umontreal.ca (8.14.1/8.14.1) with ESMTP id tBAIYmqf016991;
 Thu, 10 Dec 2015 13:34:49 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 7FACFAE060; Thu, 10 Dec 2015 13:34:48 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwvbn9y9mr3.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN> <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
 <83io47blbq.fsf@HIDDEN>
Date: Thu, 10 Dec 2015 13:34:48 -0500
In-Reply-To: <83io47blbq.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 09 Dec
 2015 19:09:29 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-NAI-Spam-Flag: NO
X-NAI-Spam-Level: 
X-NAI-Spam-Threshold: 5
X-NAI-Spam-Score: 0.2
X-NAI-Spam-Rules: 2 Rules triggered
	GEN_SPAM_FEATRE=0.2, RV5516=0
X-NAI-Spam-Version: 2.3.0.9418 : core <5516> : inlines <4099> : streams
 <1552027> : uri <2098981>
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

> So how about saying a few words about the meaning of the return value
> of internal-echo-keystrokes-prefix?  I think it's important enough to
> have that at least documented in comments.

It's used as a proxy for "we're in the middle of a command-with-prefix,
which may be using the `prefix-arg' variable or any other variable".


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 9 Dec 2015 21:31:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 09 16:31:15 2015
Received: from localhost ([127.0.0.1]:38151 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6mKQ-0002ZT-UF
	for submit <at> debbugs.gnu.org; Wed, 09 Dec 2015 16:31:15 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:32134)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a6mKP-0002Z7-Vv
 for 22107 <at> debbugs.gnu.org; Wed, 09 Dec 2015 16:31:14 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A0A6FgA731xV/yr292hcgxCEAoVVwD6CTQQCAoE8PBEBAQEBAQEBgQpBBYNdAQEDAScvIxALNBIUGA0kiDcIzyMBAQEBAQUBAQEBAR2LOoUFB4QtBYwwkmeSFINZI4IKHIFwIIJ4AQEB
X-IPAS-Result: A0A6FgA731xV/yr292hcgxCEAoVVwD6CTQQCAoE8PBEBAQEBAQEBgQpBBYNdAQEDAScvIxALNBIUGA0kiDcIzyMBAQEBAQUBAQEBAR2LOoUFB4QtBYwwkmeSFINZI4IKHIFwIIJ4AQEB
X-IronPort-AV: E=Sophos;i="5.13,465,1427774400"; d="scan'208";a="184819165"
Received: from 104-247-246-42.cpe.teksavvy.com (HELO fmsmemgm.homelinux.net)
 ([104.247.246.42])
 by ironport2-out.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 08 Dec 2015 23:53:05 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 1B988AE064; Tue,  8 Dec 2015 23:53:05 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwv1tawfd5b.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN> <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
 <83mvtkb882.fsf@HIDDEN>
Date: Tue, 08 Dec 2015 23:53:05 -0500
In-Reply-To: <83mvtkb882.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 09 Dec
 2015 05:40:13 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>> > diff --git a/src/keyboard.c b/src/keyboard.c
>> > index 02bc7d2..e378b89 100644
>> > --- a/src/keyboard.c
>> > +++ b/src/keyboard.c
>> > @@ -1486,8 +1486,11 @@ command_loop_1 (void)
>> >        if (!CONSP (last_command_event))
>> >  	kset_last_repeatable_command (current_kboard, Vreal_this_command);
>> >
>> > -      this_command_key_count = 0;
>> > -      this_single_command_key_start = 0;
>> > +      if (NILP (KVAR (current_kboard, Vprefix_arg)))
>> > +	{
>> > +	  this_command_key_count = 0;
>> > +	  this_single_command_key_start = 0;
>> > +	}
>> >
>> >        if (current_kboard->immediate_echo
>> >  	  && !NILP (call0 (Qinternal_echo_keystrokes_prefix)))
>> 
>> My gut feeling is that this isn't quite right, because the new approach
>> basically never does anything special for Vprefix_arg (the overarching
>> design goal is to make prefix-arg completely non-special, to the point
>> where it should be possible to move it to Elisp, save for its use in
>> `interactive', IIRC).
> Bu the futzing with these indices cannot be done from Lisp, so what's
> the alternative?

Maybe your patch is OK but just needs to be changed so that instead of
checking prefix-arg we check "NILP (call0
(Qinternal_echo_keystrokes_prefix))".


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 9 Dec 2015 21:31:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 09 16:31:14 2015
Received: from localhost ([127.0.0.1]:38149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6mKQ-0002ZR-PC
	for submit <at> debbugs.gnu.org; Wed, 09 Dec 2015 16:31:14 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:32134)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <monnier@HIDDEN>) id 1a6mKP-0002Z7-Hs
 for 22107 <at> debbugs.gnu.org; Wed, 09 Dec 2015 16:31:13 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A0A2FgA731xV/yr292hcgxCEAoVVu0CEfoJNBAICgTw7EgEBAQEBAQGBCkEFg10BAQMBJy8jBQsLNBIUGA0kiDcIzyMBAQEBAQUBAQEBAR2LOoUFB4QtBYwwqFQjggocgXAggngBAQE
X-IPAS-Result: A0A2FgA731xV/yr292hcgxCEAoVVu0CEfoJNBAICgTw7EgEBAQEBAQGBCkEFg10BAQMBJy8jBQsLNBIUGA0kiDcIzyMBAQEBAQUBAQEBAR2LOoUFB4QtBYwwqFQjggocgXAggngBAQE
X-IronPort-AV: E=Sophos;i="5.13,465,1427774400"; d="scan'208";a="184816638"
Received: from 104-247-246-42.cpe.teksavvy.com (HELO fmsmemgm.homelinux.net)
 ([104.247.246.42])
 by ironport2-out.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 08 Dec 2015 22:28:33 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id CD6FFAE064; Tue,  8 Dec 2015 22:28:32 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
Message-ID: <jwvh9jsgv9b.fsf-monnier+emacsbugs@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
 <838u54dgg2.fsf@HIDDEN>
Date: Tue, 08 Dec 2015 22:28:32 -0500
In-Reply-To: <838u54dgg2.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 08 Dec
 2015 18:59:41 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, 22107 <at> debbugs.gnu.org, bruce.connor.am@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> I'm not Stefan, so I cannot say that I understand what I'm doing,

I am Stefan, but I cannot say that I understand what I'm doing, sorry.

> diff --git a/src/keyboard.c b/src/keyboard.c
> index 02bc7d2..e378b89 100644
> --- a/src/keyboard.c
> +++ b/src/keyboard.c
> @@ -1486,8 +1486,11 @@ command_loop_1 (void)
>        if (!CONSP (last_command_event))
>  	kset_last_repeatable_command (current_kboard, Vreal_this_command);
>
> -      this_command_key_count = 0;
> -      this_single_command_key_start = 0;
> +      if (NILP (KVAR (current_kboard, Vprefix_arg)))
> +	{
> +	  this_command_key_count = 0;
> +	  this_single_command_key_start = 0;
> +	}
>
>        if (current_kboard->immediate_echo
>  	  && !NILP (call0 (Qinternal_echo_keystrokes_prefix)))

My gut feeling is that this isn't quite right, because the new approach
basically never does anything special for Vprefix_arg (the overarching
design goal is to make prefix-arg completely non-special, to the point
where it should be possible to move it to Elisp, save for its use in
`interactive', IIRC).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 8 Dec 2015 17:02:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 12:02:11 2015
Received: from localhost ([127.0.0.1]:43432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6LeU-0007t1-TG
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 12:02:11 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:59501)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1a6LeA-0007sB-S1
 for 22107 <at> debbugs.gnu.org; Tue, 08 Dec 2015 12:02:09 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0NZ100C00TO48600@HIDDEN> for 22107 <at> debbugs.gnu.org;
 Tue, 08 Dec 2015 18:59:47 +0200 (IST)
Received: from HOME-C4E4A596F7 ([84.94.185.246]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NZ100BNATVISCA0@HIDDEN>;
 Tue, 08 Dec 2015 18:59:43 +0200 (IST)
Date: Tue, 08 Dec 2015 18:59:41 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
In-reply-to: <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: bruce.connor.am@HIDDEN
Message-id: <838u54dgg2.fsf@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
 <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: 22107
Cc: rgm@HIDDEN, monnier@HIDDEN, 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

> Date: Tue, 8 Dec 2015 12:01:29 +0000
> From: Artur Malabarba <bruce.connor.am@HIDDEN>
> Cc: 22107 <at> debbugs.gnu.org
> 
> 2015-12-08 1:20 GMT+00:00 Glenn Morris <rgm@HIDDEN>:
> >
> > Without any testing, going to guess this was caused by 5dc644a6b01e.
> 
> Yes, I've just compiled and verified the commit "Generalize the
> prefix-command machinery of C-u" is the cause.
> Stefan, do you know what the problem might be?

I'm not Stefan, so I cannot say that I understand what I'm doing, but
the simple patch below seems to restore the old behavior.  Stefan, any
objections or gotchas?


diff --git a/src/keyboard.c b/src/keyboard.c
index 02bc7d2..e378b89 100644
--- a/src/keyboard.c
+++ b/src/keyboard.c
@@ -1486,8 +1486,11 @@ command_loop_1 (void)
       if (!CONSP (last_command_event))
 	kset_last_repeatable_command (current_kboard, Vreal_this_command);
 
-      this_command_key_count = 0;
-      this_single_command_key_start = 0;
+      if (NILP (KVAR (current_kboard, Vprefix_arg)))
+	{
+	  this_command_key_count = 0;
+	  this_single_command_key_start = 0;
+	}
 
       if (current_kboard->immediate_echo
 	  && !NILP (call0 (Qinternal_echo_keystrokes_prefix)))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 8 Dec 2015 12:01:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 08 07:01:34 2015
Received: from localhost ([127.0.0.1]:42398 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a6Gxa-0006yb-5O
	for submit <at> debbugs.gnu.org; Tue, 08 Dec 2015 07:01:34 -0500
Received: from mail-lf0-f54.google.com ([209.85.215.54]:36618)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1a6GxX-0006yM-1h
 for 22107 <at> debbugs.gnu.org; Tue, 08 Dec 2015 07:01:31 -0500
Received: by lfs39 with SMTP id 39so11136508lfs.3
 for <22107 <at> debbugs.gnu.org>; Tue, 08 Dec 2015 04:01:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=BuVzPYSVbH9waEMKYYl71tUvgmyoA8z0NEDiyeUsHEs=;
 b=YZBG7gqlxux9JdOTTT7Pl/dF6UUAmpRnj4eh4mvvGihdyh24e0u2YqWkRAXfjr8V6P
 defIoMQIAg0Xgc/lmo8BWKCvCFlp5ksHD8JfRPFF7J/8IVGxtRartB7kJ0HsUK3P+BRF
 XvbPmeAtGvomonKhyVgNVzzyNOcDxXGp4TFZLn9n+/WrIx7VUFxPTD1GoDSv5PPvi+gx
 pHimGLH2P5ZteIzMC3FUho9MP2WhoDE8/YWr9mm53X35vHJ4WVBETTTlYZV4aZ+9drhh
 9W8FcyaNl0SzupvfAFOU2ABCB4mw/pEc9MkcNnFCfmtaLbLORGv+q/3JNwIREnUFLaH6
 Tv3Q==
MIME-Version: 1.0
X-Received: by 10.25.208.206 with SMTP id h197mr1272615lfg.153.1449576090016; 
 Tue, 08 Dec 2015 04:01:30 -0800 (PST)
Received: by 10.112.202.99 with HTTP; Tue, 8 Dec 2015 04:01:29 -0800 (PST)
In-Reply-To: <egsi3dwxak.fsf@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
 <egsi3dwxak.fsf@HIDDEN>
Date: Tue, 8 Dec 2015 12:01:29 +0000
X-Google-Sender-Auth: nrb3VI-hvXvfAMgB7NpEA6meKKg
Message-ID: <CAAdUY-+6tTRbhXFBKq3EPcV0HtCmXSD3vFgF2dmPiHZHbry_bA@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>, Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22107
Cc: 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: bruce.connor.am@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

2015-12-08 1:20 GMT+00:00 Glenn Morris <rgm@HIDDEN>:
>
> Without any testing, going to guess this was caused by 5dc644a6b01e.

Yes, I've just compiled and verified the commit "Generalize the
prefix-command machinery of C-u" is the cause.
Stefan, do you know what the problem might be?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 8 Dec 2015 01:21:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 20:21:16 2015
Received: from localhost ([127.0.0.1]:42189 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a66xv-0005hK-Pf
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 20:21:15 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39040)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1a66xb-0005gS-2X
 for 22107 <at> debbugs.gnu.org; Mon, 07 Dec 2015 20:21:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1a66xa-00050b-DV
 for 22107 <at> debbugs.gnu.org; Mon, 07 Dec 2015 20:20:54 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48384)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1a66xY-00050B-Vt; Mon, 07 Dec 2015 20:20:53 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1a66xX-0004Wk-Vs; Mon, 07 Dec 2015 20:20:52 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Artur Malabarba <bruce.connor.am@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN> <87h9jt3o66.fsf@HIDDEN>
X-Spook: Dock Shots fired Storm Vaccine Watergate unclassified
X-Ran: v^an7|1*OPdlW_`{(Us3<o$o<:!(`f<x,g;v>BQH9VmjYSxD/K_!D5e2#&d2=]C7@ku?St
X-Hue: blue
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 07 Dec 2015 20:20:51 -0500
In-Reply-To: <87h9jt3o66.fsf@HIDDEN> (Artur Malabarba's message of "Mon, 07
 Dec 2015 22:10:41 +0000")
Message-ID: <egsi3dwxak.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22107
Cc: 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)


Without any testing, going to guess this was caused by 5dc644a6b01e.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 7 Dec 2015 22:10:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 17:10:52 2015
Received: from localhost ([127.0.0.1]:42106 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a63zf-000848-Nw
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 17:10:51 -0500
Received: from mail-wm0-f44.google.com ([74.125.82.44]:36294)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <bruce.connor.am@HIDDEN>) id 1a63ze-000841-2z
 for 22107 <at> debbugs.gnu.org; Mon, 07 Dec 2015 17:10:50 -0500
Received: by wmww144 with SMTP id w144so158912632wmw.1
 for <22107 <at> debbugs.gnu.org>; Mon, 07 Dec 2015 14:10:49 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=TDkESpkVHJ5i5Pj0XGrTIuXX4qSjQAM3zRK7LLBEHzc=;
 b=PmBXwgYFtaFlnTIhXsf2tztUvdXyYq3UjAt6BidcBuetK23QVwrOyHr3ibCvfJP3uB
 ZK/5HDSPDX5C/+v/A6yAQQh6WkfRCol/vZXNa5G9gOHjvKrhI7MgKXUl6/DwBt5p6IEv
 z0axGX2+3uud6IKZP1PLZ/DRFif6rKNM5Xqji9S5M45JPrVfah1LHG53hTdUVTMwXg14
 6561jxQFESJk2yMeapB0oQm6AYCWB4kCNewcyY+dhAnyrEWjJOe2mSDqKzGVj1Hu0lW4
 UF9au/JohehI7rciesodxblK3p2qiW7BiAYtnHmxbZwwhx88yW/XYt2PuMB1Zku2OPWv
 sREQ==
X-Received: by 10.195.11.233 with SMTP id el9mr35117904wjd.145.1449526249671; 
 Mon, 07 Dec 2015 14:10:49 -0800 (PST)
Received: from Gandalf-Linux.gmail.com (host-78-151-181-210.as13285.net.
 [78.151.181.210])
 by smtp.gmail.com with ESMTPSA id f11sm592251wmd.7.2015.12.07.14.10.48
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 07 Dec 2015 14:10:48 -0800 (PST)
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 <rw4mftkjo1.fsf@HIDDEN>
Date: Mon, 07 Dec 2015 22:10:41 +0000
In-Reply-To: <rw4mftkjo1.fsf@HIDDEN> (Glenn Morris's message of
 "Mon, 07 Dec 2015 16:55:58 -0500")
Message-ID: <87h9jt3o66.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22107
Cc: 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Glenn Morris <rgm@HIDDEN> writes:

>> Good point. I've filed a new bug and I'm closing this one.
>
> I don't see what the point of that was.
> I'd already retitled this one and marked it as a release blocker.

Sorry, Glenn. I use the bug tracker from my mail client. From here I
couldn't see you had retitled it or marked it as a release blocker.
My bad.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.
Forcibly Merged 22107 22111. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 7 Dec 2015 21:56:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 16:56:21 2015
Received: from localhost ([127.0.0.1]:42075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a63lc-00062v-TK
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 16:56:21 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47493)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1a63lJ-00062A-04
 for 22107 <at> debbugs.gnu.org; Mon, 07 Dec 2015 16:56:19 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1a63lH-0007jr-UD
 for 22107 <at> debbugs.gnu.org; Mon, 07 Dec 2015 16:56:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45635)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1a63lG-0007jb-RQ; Mon, 07 Dec 2015 16:55:58 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1a63lG-0003tO-9d; Mon, 07 Dec 2015 16:55:58 -0500
From: Glenn Morris <rgm@HIDDEN>
To: bruce.connor.am@HIDDEN
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
 <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
X-Spook: dedicated denial of service ISEC Failure S Key Shooting
X-Ran: .M9Ysi6^f+Sq!iW8QH`*Fa,e5So<jG>x3GbJ3ki}>gf|~i1qnI021Z{#1yZzLRz0:gmXeR
X-Hue: yellow
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 07 Dec 2015 16:55:58 -0500
In-Reply-To: <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
 (Artur Malabarba's message of "Mon, 7 Dec 2015 21:46:19 +0000")
Message-ID: <rw4mftkjo1.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22107
Cc: 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Artur Malabarba wrote:

> Good point. I've filed a new bug and I'm closing this one.

I don't see what the point of that was.
I'd already retitled this one and marked it as a release blocker.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at 22107-done <at> debbugs.gnu.org:


Received: (at 22107-done) by debbugs.gnu.org; 7 Dec 2015 21:46:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 16:46:22 2015
Received: from localhost ([127.0.0.1]:42066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a63bx-0005oW-V6
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 16:46:22 -0500
Received: from mail-lb0-f175.google.com ([209.85.217.175]:34396)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1a63bw-0005oN-0u
 for 22107-done <at> debbugs.gnu.org; Mon, 07 Dec 2015 16:46:20 -0500
Received: by lbbcs9 with SMTP id cs9so368876lbb.1
 for <22107-done <at> debbugs.gnu.org>; Mon, 07 Dec 2015 13:46:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:in-reply-to:references:date:message-id
 :subject:from:to:cc:content-type;
 bh=twLQl1uG3MqaVATfAE3B736bmbE3vAV4LXZR3UxGrB0=;
 b=YFPSoXPtveNXrtEEa3bKo27P8PRlR71PZeKY0neTIH2Zfey54qpt449/rsg5L3ygu9
 4w9q/CXCs+tAVehf0hT6OELBLEvXY7niJSC/oLrGxxM37TrFuRZP8PcX8/Adc8htHXz0
 COYw/7Z7q58K1ynic7qZ7WtCCqWlzYwd7iaOVBcfcr1D9QvWGkrcwh8ilZ92FlQBZYYM
 RsiluYe5jC2mUOFu36WsNl1n6x7NiZ8FeKASj9bYywou5AEPTe28kmRAWWDnaB/IOTx5
 OmVS4INhSZ+4gGxp8us0kHSQbGbRGODA1t9SCxOGV7sIHNmpx8aDA34PXzgeIeiocs++
 znGA==
MIME-Version: 1.0
X-Received: by 10.112.170.7 with SMTP id ai7mr3768lbc.102.1449524779178; Mon,
 07 Dec 2015 13:46:19 -0800 (PST)
Received: by 10.112.202.99 with HTTP; Mon, 7 Dec 2015 13:46:19 -0800 (PST)
In-Reply-To: <dxa8pmqgdb.fsf@HIDDEN>
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 <dxa8pmqgdb.fsf@HIDDEN>
Date: Mon, 7 Dec 2015 21:46:19 +0000
X-Google-Sender-Auth: h9fqF8E0kAWg1dDpEDuNbOdPmeo
Message-ID: <CAAdUY-+zE3iDw3_ninEhdu8vMGZ7C5iOYAoxbmo=uzqkvSOVoA@HIDDEN>
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 22107-done
Cc: 22107-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: bruce.connor.am@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Good point. I've filed a new bug and I'm closing this one.




Notification sent to bruce.connor.am@HIDDEN:
bug acknowledged by developer. Full text available.
Reply sent to bruce.connor.am@HIDDEN:
You have taken responsibility. Full text available.
Added indication that bug 22107 blocks19759 Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'this-command-keys no longer returns prefix argument' from '25.1; Wrong docstring for this-single-command-keys' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 22107 <at> debbugs.gnu.org:


Received: (at 22107) by debbugs.gnu.org; 7 Dec 2015 18:10:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 13:10:46 2015
Received: from localhost ([127.0.0.1]:41972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a60FK-0005rf-6j
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 13:10:46 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45137)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1a60FH-0005rX-S2
 for 22107 <at> debbugs.gnu.org; Mon, 07 Dec 2015 13:10:44 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1a60FG-0000Me-R9
 for 22107 <at> debbugs.gnu.org; Mon, 07 Dec 2015 13:10:43 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41379)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1a60FF-0000MO-4L; Mon, 07 Dec 2015 13:10:41 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1a60FE-0005E8-9K; Mon, 07 Dec 2015 13:10:40 -0500
From: Glenn Morris <rgm@HIDDEN>
To: bruce.connor.am@HIDDEN
Subject: Re: bug#22107: 25.1; Wrong docstring for this-single-command-keys
References: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
X-Spook: Fortezza New Federation UFO S Box pre-emptive Trojan
X-Ran: "aLZ77j*[_{oQLw:E6O1blW3pdhV8_()C/{x<4X0REl14y|W(PMP>k(o6}]mn<T[PM<Cg^
X-Hue: magenta
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 07 Dec 2015 13:10:40 -0500
In-Reply-To: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
 (Artur Malabarba's message of "Mon, 7 Dec 2015 15:42:39 +0000")
Message-ID: <dxa8pmqgdb.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 22107
Cc: 22107 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Artur Malabarba wrote:

> The docstring says:
>
> Unlike 'this-command-keys', this function's value
> does not include prefix arguments.
>
> However, the function 'this-command-keys' also does not seem to return
> prefix arguments.

When you find something like that, sadly your first thought should be
"someone's broken something" rather than "the doc is wrong".
It works as documented in 24.5 and earlier.

IMO the example from the Elisp manual is more informative:

    (this-command-keys)
    ;; Now use `C-u C-x C-e' to evaluate that.
      => "^U^X^E"




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Dec 2015 15:42:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 07 10:42:45 2015
Received: from localhost ([127.0.0.1]:41856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1a5xw5-0005h9-8n
	for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 10:42:45 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45760)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <arturmalabarba@HIDDEN>) id 1a5xw3-0005h2-Jc
 for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 10:42:43 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1a5xw2-0002U8-KX
 for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 10:42:43 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49011)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1a5xw2-0002U3-Hv
 for submit <at> debbugs.gnu.org; Mon, 07 Dec 2015 10:42:42 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55762)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1a5xw1-0002Y4-Pf
 for bug-gnu-emacs@HIDDEN; Mon, 07 Dec 2015 10:42:42 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1a5xw1-0002Tm-1I
 for bug-gnu-emacs@HIDDEN; Mon, 07 Dec 2015 10:42:41 -0500
Received: from mail-lb0-x232.google.com ([2a00:1450:4010:c04::232]:33864)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <arturmalabarba@HIDDEN>) id 1a5xw0-0002Ti-Qj
 for bug-gnu-emacs@HIDDEN; Mon, 07 Dec 2015 10:42:40 -0500
Received: by lbbcs9 with SMTP id cs9so67236741lbb.1
 for <bug-gnu-emacs@HIDDEN>; Mon, 07 Dec 2015 07:42:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:reply-to:sender:date:message-id:subject:from:to
 :content-type; bh=r7BjTaQduE8dk2sZPoi3FBOlfQFlajL77IYRwF2DYrw=;
 b=jE2sPvvNksVXJtNqRTjpU0Bmvyr6nwfTQKjWwiYL0U2a+V5b6Jgs8F6rCDFIOtStPC
 hmOusCUtIW0NDfDGduJgFs4vTqWDOiRs831PkSOMvDSOies17aLz17Vy4u+fxstGt8gs
 pNYN8sDzZNNUhDsKfaY8OrCRrx3zNACklwT/HKnpcucJF9jwNnMjGfJl/nnBsM7SBVss
 PQ+pUct0mqTwuyW24Fg+mn+hRhm+CMWmqlB0T64O8ABfegfeSJsHl9whP2zPvylMnsnw
 PLv+SZZYJA4TIdvPqkVgiDWfud9GHwJ6J+gCs922YchukyPZXNqiSJzeelbqcIM9xZSq
 simg==
MIME-Version: 1.0
X-Received: by 10.25.137.7 with SMTP id l7mr11594362lfd.63.1449502959535; Mon,
 07 Dec 2015 07:42:39 -0800 (PST)
Received: by 10.112.202.99 with HTTP; Mon, 7 Dec 2015 07:42:39 -0800 (PST)
Date: Mon, 7 Dec 2015 15:42:39 +0000
X-Google-Sender-Auth: cA5vioLMfdYnmHNo2KCTIQ7IxbY
Message-ID: <CAAdUY-+Ua-3BJ+H_p_GGffCq63t_sQ6CpB=aeMuH7rE73N4bKg@HIDDEN>
Subject: 25.1; Wrong docstring for this-single-command-keys
From: Artur Malabarba <bruce.connor.am@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=001a113fc26001151a052650b575
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: bruce.connor.am@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--001a113fc26001151a052650b575
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

The docstring says:

Unlike =E2=80=98this-command-keys=E2=80=99, this function=E2=80=99s value
does not include prefix arguments.

However, the function =E2=80=98this-command-keys=E2=80=99 also does not see=
m to return
prefix arguments. I tested this by evaluating the following code and then
typing C-u C-F3. (the output is just [C-f3])


(defun bababa ()
  (interactive)
  (message "%s" (this-command-keys)))

(global-set-key (kbd "C-<f3>") #'bababa)

--001a113fc26001151a052650b575
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>The docstring says:</div><div><br></div><div>Unlike =
=E2=80=98this-command-keys=E2=80=99, this function=E2=80=99s value</div><di=
v>does not include prefix arguments.</div><div><br></div><div>However, the =
function =E2=80=98this-command-keys=E2=80=99 also does not seem to return p=
refix arguments. I tested this by evaluating the following code and then ty=
ping C-u C-F3. (the output is just [C-f3])</div><div><br></div><div><div><b=
r></div><div>(defun bababa ()</div><div>=C2=A0 (interactive)<br></div><div>=
=C2=A0 (message &quot;%s&quot; (this-command-keys)))</div><div><br></div><d=
iv>(global-set-key (kbd &quot;C-&lt;f3&gt;&quot;) #&#39;bababa)</div></div>=
<div><br></div>
</div>

--001a113fc26001151a052650b575--




Acknowledgement sent to bruce.connor.am@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#22107; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 22 May 2016 16:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.